<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.13.2">
  <compound kind="file">
    <name>AIRTSP_Service.hpp</name>
    <path>airtsp/</path>
    <filename>AIRTSP__Service_8hpp.html</filename>
    <class kind="class">AIRTSP::AIRTSP_Service</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>AIRTSP_Types.hpp</name>
    <path>airtsp/</path>
    <filename>AIRTSP__Types_8hpp.html</filename>
    <class kind="class">AIRTSP::SegmentDateNotFoundException</class>
    <class kind="class">AIRTSP::OnDInputFileNotFoundException</class>
    <class kind="class">AIRTSP::ScheduleInputFileNotFoundException</class>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>BasConst.cpp</name>
    <path>airtsp/basic/</path>
    <filename>BasConst_8cpp.html</filename>
    <includes id="BasConst__General_8hpp" name="BasConst_General.hpp" local="no" import="no" module="no" objc="no">airtsp/basic/BasConst_General.hpp</includes>
    <includes id="BasConst__AIRTSP__Service_8hpp" name="BasConst_AIRTSP_Service.hpp" local="no" import="no" module="no" objc="no">airtsp/basic/BasConst_AIRTSP_Service.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>BasConst_AIRTSP_Service.hpp</name>
    <path>airtsp/basic/</path>
    <filename>BasConst__AIRTSP__Service_8hpp.html</filename>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>BasConst_General.hpp</name>
    <path>airtsp/basic/</path>
    <filename>BasConst__General_8hpp.html</filename>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>BasParserTypes.hpp</name>
    <path>airtsp/basic/</path>
    <filename>BasParserTypes_8hpp.html</filename>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>airtsp.cpp</name>
    <path>airtsp/batches/</path>
    <filename>airtsp_8cpp.html</filename>
    <includes id="AIRTSP__Service_8hpp" name="AIRTSP_Service.hpp" local="no" import="no" module="no" objc="no">airtsp/AIRTSP_Service.hpp</includes>
    <includes id="BookingRequestParser_8hpp" name="BookingRequestParser.hpp" local="no" import="no" module="no" objc="no">airtsp/batches/BookingRequestParser.hpp</includes>
    <member kind="typedef">
      <type>std::vector&lt; std::string &gt;</type>
      <name>WordList_T</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>a950635e3678f52a96e96d48987d7bbf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_AIRTSP_DEFAULT_LOG_FILENAME</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>a6154e390a019e5c11f12838e4509fcd6</anchor>
      <arglist>(&quot;airtsp.log&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_AIRTSP_DEFAULT_INPUT_FILENAME</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>a2a71adb93c2ac199a2ffb029a667d18b</anchor>
      <arglist>(STDAIR_SAMPLE_DIR &quot;/schedule03.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_AIRTSP_DEFAULT_BOOKING_REQUEST</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>a0a6b86b02d37dabbc325c1883b65962f</anchor>
      <arglist>(&quot;NCE BKK NCE 2007-04-21 2007-03-21 08:32:00 C 1 DF RO 5 NONE 10:00:00 2000.0 20.0&quot;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>createStringFromWordList</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>a037afdf8e297b9c96c7a979aee2496a5</anchor>
      <arglist>(const WordList_T &amp;iWordList)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>aaf2944052a36661fbd47b4de13aa56f0</anchor>
      <arglist>(std::ostream &amp;os, const std::vector&lt; T &gt; &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readConfiguration</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>a60991b8c82f1ef12c1a63e9755113507</anchor>
      <arglist>(int argc, char *argv[], bool &amp;ioIsBuiltin, bool &amp;ioReadBookingRequestFromCmdLine, stdair::Filename_T &amp;ioInputFilename, std::string &amp;ioLogFilename, std::string &amp;ioBookingRequestString)</arglist>
    </member>
    <member kind="function">
      <type>stdair::BookingRequestStruct</type>
      <name>parseBookingRequest</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>a6109b98bca7f69ab19ec6d63b51e80e2</anchor>
      <arglist>(const std::string &amp;iRequestOption)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>a0ddf1224851353fc92bfbff6f499fa97</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="variable">
      <type>const bool</type>
      <name>K_AIRTSP_DEFAULT_BUILT_IN_INPUT</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>a225254b487dd720faba510fc7558f0e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const bool</type>
      <name>K_AIRTSP_DEFAULT_BOOKING_REQUEST_MODE</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>aa7f6603b9e2084a73ee9dd5eebbeebda</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const int</type>
      <name>K_AIRTSP_EARLY_RETURN_STATUS</name>
      <anchorfile>airtsp_8cpp.html</anchorfile>
      <anchor>a06029b78b2311779000c746e907ebfe5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BookingRequestParser.cpp</name>
    <path>airtsp/batches/</path>
    <filename>BookingRequestParser_8cpp.html</filename>
    <includes id="BookingRequestParser_8hpp" name="BookingRequestParser.hpp" local="no" import="no" module="no" objc="no">airtsp/batches/BookingRequestParser.hpp</includes>
    <class kind="struct">airtsp::store_place_element</class>
    <class kind="struct">airtsp::store_date</class>
    <class kind="struct">airtsp::store_airline_sign</class>
    <class kind="struct">airtsp::store_airline_code</class>
    <class kind="struct">airtsp::store_airline_name</class>
    <class kind="struct">airtsp::store_passenger_number</class>
    <class kind="struct">airtsp::store_adult_passenger_type</class>
    <class kind="struct">airtsp::store_child_passenger_type</class>
    <class kind="struct">airtsp::store_pet_passenger_type</class>
    <class kind="struct">airtsp::SearchStringParser</class>
    <class kind="struct">airtsp::SearchStringParser::definition</class>
    <namespace>airtsp</namespace>
    <member kind="define">
      <type>#define</type>
      <name>BOOST_SPIRIT_DEBUG</name>
      <anchorfile>BookingRequestParser_8cpp.html</anchorfile>
      <anchor>a5e5010df31ed177ba095311f3d28ee26</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>char const  *</type>
      <name>iterator_t</name>
      <anchorfile>BookingRequestParser_8cpp.html</anchorfile>
      <anchor>ad135aa6e729c8ca9e36375a27780d7f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::scanner&lt; iterator_t &gt;</type>
      <name>scanner_t</name>
      <anchorfile>BookingRequestParser_8cpp.html</anchorfile>
      <anchor>acfdaf2bf080c5d7857e1e3b3b1fca40a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::rule&lt; scanner_t &gt;</type>
      <name>rule_t</name>
      <anchorfile>BookingRequestParser_8cpp.html</anchorfile>
      <anchor>a88e559bb087d97da50e5d53baf10b6ff</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BookingRequestParser.hpp</name>
    <path>airtsp/batches/</path>
    <filename>BookingRequestParser_8hpp.html</filename>
    <class kind="struct">airtsp::Place_T</class>
    <class kind="struct">airtsp::Date_T</class>
    <class kind="struct">airtsp::Airline_T</class>
    <class kind="struct">airtsp::Passenger_T</class>
    <class kind="struct">airtsp::SearchString_T</class>
    <namespace>airtsp</namespace>
  </compound>
  <compound kind="file">
    <name>AirportList.hpp</name>
    <path>airtsp/bom/</path>
    <filename>AirportList_8hpp.html</filename>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>BomDisplay.cpp</name>
    <path>airtsp/bom/</path>
    <filename>BomDisplay_8cpp.html</filename>
    <includes id="ReachableUniverse_8hpp" name="ReachableUniverse.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/ReachableUniverse.hpp</includes>
    <includes id="BomDisplay_8hpp" name="BomDisplay.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/BomDisplay.hpp</includes>
    <class kind="struct">AIRTSP::FlagSaver</class>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>BomDisplay.hpp</name>
    <path>airtsp/bom/</path>
    <filename>BomDisplay_8hpp.html</filename>
    <class kind="class">AIRTSP::BomDisplay</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>FareFamilyStruct.cpp</name>
    <path>airtsp/bom/</path>
    <filename>FareFamilyStruct_8cpp.html</filename>
    <includes id="FareFamilyStruct_8hpp" name="FareFamilyStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/FareFamilyStruct.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>FareFamilyStruct.hpp</name>
    <path>airtsp/bom/</path>
    <filename>FareFamilyStruct_8hpp.html</filename>
    <class kind="struct">AIRTSP::FareFamilyStruct</class>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>FlightPeriodStruct.cpp</name>
    <path>airtsp/bom/</path>
    <filename>FlightPeriodStruct_8cpp.html</filename>
    <includes id="AIRTSP__Types_8hpp" name="AIRTSP_Types.hpp" local="no" import="no" module="no" objc="no">airtsp/AIRTSP_Types.hpp</includes>
    <includes id="FlightPeriodStruct_8hpp" name="FlightPeriodStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/FlightPeriodStruct.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>FlightPeriodStruct.hpp</name>
    <path>airtsp/bom/</path>
    <filename>FlightPeriodStruct_8hpp.html</filename>
    <includes id="LegCabinStruct_8hpp" name="LegCabinStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/LegCabinStruct.hpp</includes>
    <includes id="LegStruct_8hpp" name="LegStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/LegStruct.hpp</includes>
    <includes id="SegmentStruct_8hpp" name="SegmentStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentStruct.hpp</includes>
    <includes id="SegmentCabinStruct_8hpp" name="SegmentCabinStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentCabinStruct.hpp</includes>
    <includes id="FareFamilyStruct_8hpp" name="FareFamilyStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/FareFamilyStruct.hpp</includes>
    <includes id="AirportList_8hpp" name="AirportList.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/AirportList.hpp</includes>
    <class kind="struct">AIRTSP::FlightPeriodStruct</class>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>LegCabinStruct.cpp</name>
    <path>airtsp/bom/</path>
    <filename>LegCabinStruct_8cpp.html</filename>
    <includes id="LegCabinStruct_8hpp" name="LegCabinStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/LegCabinStruct.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>LegCabinStruct.hpp</name>
    <path>airtsp/bom/</path>
    <filename>LegCabinStruct_8hpp.html</filename>
    <class kind="struct">AIRTSP::LegCabinStruct</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>LegStruct.cpp</name>
    <path>airtsp/bom/</path>
    <filename>LegStruct_8cpp.html</filename>
    <includes id="LegStruct_8hpp" name="LegStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/LegStruct.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>LegStruct.hpp</name>
    <path>airtsp/bom/</path>
    <filename>LegStruct_8hpp.html</filename>
    <includes id="LegCabinStruct_8hpp" name="LegCabinStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/LegCabinStruct.hpp</includes>
    <class kind="struct">AIRTSP::LegStruct</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>OnDPeriodStruct.cpp</name>
    <path>airtsp/bom/</path>
    <filename>OnDPeriodStruct_8cpp.html</filename>
    <includes id="OnDPeriodStruct_8hpp" name="OnDPeriodStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/OnDPeriodStruct.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>OnDPeriodStruct.hpp</name>
    <path>airtsp/bom/</path>
    <filename>OnDPeriodStruct_8hpp.html</filename>
    <class kind="struct">AIRTSP::OnDPeriodStruct</class>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>OriginDestinationSet.cpp</name>
    <path>airtsp/bom/</path>
    <filename>OriginDestinationSet_8cpp.html</filename>
    <includes id="OriginDestinationSet_8hpp" name="OriginDestinationSet.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/OriginDestinationSet.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>OriginDestinationSet.hpp</name>
    <path>airtsp/bom/</path>
    <filename>OriginDestinationSet_8hpp.html</filename>
    <includes id="OriginDestinationSetKey_8hpp" name="OriginDestinationSetKey.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/OriginDestinationSetKey.hpp</includes>
    <includes id="OriginDestinationSetTypes_8hpp" name="OriginDestinationSetTypes.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/OriginDestinationSetTypes.hpp</includes>
    <class kind="class">AIRTSP::OriginDestinationSet</class>
    <namespace>boost</namespace>
    <namespace>boost::serialization</namespace>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>OriginDestinationSetKey.cpp</name>
    <path>airtsp/bom/</path>
    <filename>OriginDestinationSetKey_8cpp.html</filename>
    <includes id="OriginDestinationSetKey_8hpp" name="OriginDestinationSetKey.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/OriginDestinationSetKey.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>OriginDestinationSetKey.hpp</name>
    <path>airtsp/bom/</path>
    <filename>OriginDestinationSetKey_8hpp.html</filename>
    <class kind="struct">AIRTSP::OriginDestinationSetKey</class>
    <namespace>boost</namespace>
    <namespace>boost::serialization</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>OriginDestinationSetTypes.hpp</name>
    <path>airtsp/bom/</path>
    <filename>OriginDestinationSetTypes_8hpp.html</filename>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>ReachableUniverse.cpp</name>
    <path>airtsp/bom/</path>
    <filename>ReachableUniverse_8cpp.html</filename>
    <includes id="ReachableUniverse_8hpp" name="ReachableUniverse.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/ReachableUniverse.hpp</includes>
    <includes id="SegmentPathPeriod_8hpp" name="SegmentPathPeriod.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPathPeriod.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>ReachableUniverse.hpp</name>
    <path>airtsp/bom/</path>
    <filename>ReachableUniverse_8hpp.html</filename>
    <includes id="ReachableUniverseKey_8hpp" name="ReachableUniverseKey.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/ReachableUniverseKey.hpp</includes>
    <includes id="ReachableUniverseTypes_8hpp" name="ReachableUniverseTypes.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/ReachableUniverseTypes.hpp</includes>
    <includes id="SegmentPathPeriodTypes_8hpp" name="SegmentPathPeriodTypes.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPathPeriodTypes.hpp</includes>
    <class kind="class">AIRTSP::ReachableUniverse</class>
    <namespace>boost</namespace>
    <namespace>boost::serialization</namespace>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>ReachableUniverseKey.cpp</name>
    <path>airtsp/bom/</path>
    <filename>ReachableUniverseKey_8cpp.html</filename>
    <includes id="ReachableUniverseKey_8hpp" name="ReachableUniverseKey.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/ReachableUniverseKey.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>ReachableUniverseKey.hpp</name>
    <path>airtsp/bom/</path>
    <filename>ReachableUniverseKey_8hpp.html</filename>
    <class kind="struct">AIRTSP::ReachableUniverseKey</class>
    <namespace>boost</namespace>
    <namespace>boost::serialization</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>ReachableUniverseTypes.hpp</name>
    <path>airtsp/bom/</path>
    <filename>ReachableUniverseTypes_8hpp.html</filename>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentCabinStruct.cpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentCabinStruct_8cpp.html</filename>
    <includes id="SegmentCabinStruct_8hpp" name="SegmentCabinStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentCabinStruct.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentCabinStruct.hpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentCabinStruct_8hpp.html</filename>
    <includes id="FareFamilyStruct_8hpp" name="FareFamilyStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/FareFamilyStruct.hpp</includes>
    <class kind="struct">AIRTSP::SegmentCabinStruct</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPathPeriod.cpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentPathPeriod_8cpp.html</filename>
    <includes id="SegmentPathPeriod_8hpp" name="SegmentPathPeriod.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPathPeriod.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPathPeriod.hpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentPathPeriod_8hpp.html</filename>
    <includes id="SegmentPathPeriodKey_8hpp" name="SegmentPathPeriodKey.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPathPeriodKey.hpp</includes>
    <includes id="SegmentPathPeriodTypes_8hpp" name="SegmentPathPeriodTypes.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPathPeriodTypes.hpp</includes>
    <class kind="class">AIRTSP::SegmentPathPeriod</class>
    <namespace>boost</namespace>
    <namespace>boost::serialization</namespace>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPathPeriodKey.cpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentPathPeriodKey_8cpp.html</filename>
    <includes id="SegmentPathPeriodKey_8hpp" name="SegmentPathPeriodKey.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPathPeriodKey.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPathPeriodKey.hpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentPathPeriodKey_8hpp.html</filename>
    <includes id="SegmentPathPeriodTypes_8hpp" name="SegmentPathPeriodTypes.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPathPeriodTypes.hpp</includes>
    <class kind="struct">AIRTSP::SegmentPathPeriodKey</class>
    <namespace>boost</namespace>
    <namespace>boost::serialization</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPathPeriodTypes.hpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentPathPeriodTypes_8hpp.html</filename>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPeriodHelper.cpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentPeriodHelper_8cpp.html</filename>
    <includes id="SegmentPeriodHelper_8hpp" name="SegmentPeriodHelper.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPeriodHelper.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPeriodHelper.hpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentPeriodHelper_8hpp.html</filename>
    <includes id="LegStruct_8hpp" name="LegStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/LegStruct.hpp</includes>
    <includes id="SegmentStruct_8hpp" name="SegmentStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentStruct.hpp</includes>
    <class kind="class">AIRTSP::SegmentPeriodHelper</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentStruct.cpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentStruct_8cpp.html</filename>
    <includes id="SegmentStruct_8hpp" name="SegmentStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentStruct.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentStruct.hpp</name>
    <path>airtsp/bom/</path>
    <filename>SegmentStruct_8hpp.html</filename>
    <includes id="SegmentCabinStruct_8hpp" name="SegmentCabinStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentCabinStruct.hpp</includes>
    <class kind="struct">AIRTSP::SegmentStruct</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>InventoryGenerator.cpp</name>
    <path>airtsp/command/</path>
    <filename>InventoryGenerator_8cpp.html</filename>
    <includes id="FlightPeriodStruct_8hpp" name="FlightPeriodStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/FlightPeriodStruct.hpp</includes>
    <includes id="SegmentPeriodHelper_8hpp" name="SegmentPeriodHelper.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPeriodHelper.hpp</includes>
    <includes id="InventoryGenerator_8hpp" name="InventoryGenerator.hpp" local="no" import="no" module="no" objc="no">airtsp/command/InventoryGenerator.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>InventoryGenerator.hpp</name>
    <path>airtsp/command/</path>
    <filename>InventoryGenerator_8hpp.html</filename>
    <includes id="AIRTSP__Types_8hpp" name="AIRTSP_Types.hpp" local="no" import="no" module="no" objc="no">airtsp/AIRTSP_Types.hpp</includes>
    <class kind="class">AIRTSP::InventoryGenerator</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
    <namespace>AIRTSP::ScheduleParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>OnDParser.cpp</name>
    <path>airtsp/command/</path>
    <filename>OnDParser_8cpp.html</filename>
    <includes id="OnDParserHelper_8hpp" name="OnDParserHelper.hpp" local="no" import="no" module="no" objc="no">airtsp/command/OnDParserHelper.hpp</includes>
    <includes id="OnDParser_8hpp" name="OnDParser.hpp" local="no" import="no" module="no" objc="no">airtsp/command/OnDParser.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>OnDParser.hpp</name>
    <path>airtsp/command/</path>
    <filename>OnDParser_8hpp.html</filename>
    <class kind="class">AIRTSP::OnDParser</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>OnDParserHelper.cpp</name>
    <path>airtsp/command/</path>
    <filename>OnDParserHelper_8cpp.html</filename>
    <includes id="OnDParserHelper_8hpp" name="OnDParserHelper.hpp" local="no" import="no" module="no" objc="no">airtsp/command/OnDParserHelper.hpp</includes>
    <includes id="OnDPeriodGenerator_8hpp" name="OnDPeriodGenerator.hpp" local="no" import="no" module="no" objc="no">airtsp/command/OnDPeriodGenerator.hpp</includes>
    <namespace>AIRTSP</namespace>
    <namespace>AIRTSP::OnDParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>OnDParserHelper.hpp</name>
    <path>airtsp/command/</path>
    <filename>OnDParserHelper_8hpp.html</filename>
    <includes id="AIRTSP__Types_8hpp" name="AIRTSP_Types.hpp" local="no" import="no" module="no" objc="no">airtsp/AIRTSP_Types.hpp</includes>
    <includes id="BasParserTypes_8hpp" name="BasParserTypes.hpp" local="no" import="no" module="no" objc="no">airtsp/basic/BasParserTypes.hpp</includes>
    <includes id="OnDPeriodStruct_8hpp" name="OnDPeriodStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/OnDPeriodStruct.hpp</includes>
    <class kind="struct">AIRTSP::OnDParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeOrigin</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeDestination</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeDateRangeStart</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeDateRangeEnd</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeStartRangeTime</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeEndRangeTime</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeClassCode</class>
    <class kind="struct">AIRTSP::OnDParserHelper::doEndOnD</class>
    <class kind="struct">AIRTSP::OnDParserHelper::OnDParser</class>
    <class kind="struct">AIRTSP::OnDParserHelper::OnDParser::definition</class>
    <class kind="class">AIRTSP::OnDPeriodFileParser</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
    <namespace>AIRTSP::OnDParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>OnDPeriodGenerator.cpp</name>
    <path>airtsp/command/</path>
    <filename>OnDPeriodGenerator_8cpp.html</filename>
    <includes id="OnDPeriodStruct_8hpp" name="OnDPeriodStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/OnDPeriodStruct.hpp</includes>
    <includes id="OnDPeriodGenerator_8hpp" name="OnDPeriodGenerator.hpp" local="no" import="no" module="no" objc="no">airtsp/command/OnDPeriodGenerator.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>OnDPeriodGenerator.hpp</name>
    <path>airtsp/command/</path>
    <filename>OnDPeriodGenerator_8hpp.html</filename>
    <includes id="AIRTSP__Types_8hpp" name="AIRTSP_Types.hpp" local="no" import="no" module="no" objc="no">airtsp/AIRTSP_Types.hpp</includes>
    <class kind="class">AIRTSP::OnDPeriodGenerator</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
    <namespace>AIRTSP::OnDParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>ScheduleParser.cpp</name>
    <path>airtsp/command/</path>
    <filename>ScheduleParser_8cpp.html</filename>
    <includes id="SegmentPathGenerator_8hpp" name="SegmentPathGenerator.hpp" local="no" import="no" module="no" objc="no">airtsp/command/SegmentPathGenerator.hpp</includes>
    <includes id="ScheduleParserHelper_8hpp" name="ScheduleParserHelper.hpp" local="no" import="no" module="no" objc="no">airtsp/command/ScheduleParserHelper.hpp</includes>
    <includes id="ScheduleParser_8hpp" name="ScheduleParser.hpp" local="no" import="no" module="no" objc="no">airtsp/command/ScheduleParser.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>ScheduleParser.hpp</name>
    <path>airtsp/command/</path>
    <filename>ScheduleParser_8hpp.html</filename>
    <class kind="class">AIRTSP::ScheduleParser</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>ScheduleParserHelper.cpp</name>
    <path>airtsp/command/</path>
    <filename>ScheduleParserHelper_8cpp.html</filename>
    <includes id="ScheduleParserHelper_8hpp" name="ScheduleParserHelper.hpp" local="no" import="no" module="no" objc="no">airtsp/command/ScheduleParserHelper.hpp</includes>
    <includes id="InventoryGenerator_8hpp" name="InventoryGenerator.hpp" local="no" import="no" module="no" objc="no">airtsp/command/InventoryGenerator.hpp</includes>
    <namespace>AIRTSP</namespace>
    <namespace>AIRTSP::ScheduleParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>ScheduleParserHelper.hpp</name>
    <path>airtsp/command/</path>
    <filename>ScheduleParserHelper_8hpp.html</filename>
    <includes id="AIRTSP__Types_8hpp" name="AIRTSP_Types.hpp" local="no" import="no" module="no" objc="no">airtsp/AIRTSP_Types.hpp</includes>
    <includes id="BasParserTypes_8hpp" name="BasParserTypes.hpp" local="no" import="no" module="no" objc="no">airtsp/basic/BasParserTypes.hpp</includes>
    <includes id="FlightPeriodStruct_8hpp" name="FlightPeriodStruct.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/FlightPeriodStruct.hpp</includes>
    <class kind="struct">AIRTSP::ScheduleParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeFlightNumber</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeDateRangeStart</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeDateRangeEnd</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeDow</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeLegBoardingPoint</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeLegOffPoint</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeOperatingAirlineCode</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeOperatingFlightNumber</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeBoardingTime</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeOffTime</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeElapsedTime</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeLegCabinCode</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeCapacity</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeSegmentSpecificity</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeSegmentBoardingPoint</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeSegmentOffPoint</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeSegmentCabinCode</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeClasses</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeFamilyCode</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeFRAT5CurveKey</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeFFDisutilityCurveKey</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeFClasses</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::doEndFlight</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::FlightPeriodParser</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::FlightPeriodParser::definition</class>
    <class kind="class">AIRTSP::FlightPeriodFileParser</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
    <namespace>AIRTSP::ScheduleParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPathGenerator.cpp</name>
    <path>airtsp/command/</path>
    <filename>SegmentPathGenerator_8cpp.html</filename>
    <includes id="ReachableUniverse_8hpp" name="ReachableUniverse.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/ReachableUniverse.hpp</includes>
    <includes id="OriginDestinationSet_8hpp" name="OriginDestinationSet.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/OriginDestinationSet.hpp</includes>
    <includes id="SegmentPathPeriod_8hpp" name="SegmentPathPeriod.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPathPeriod.hpp</includes>
    <includes id="SegmentPathGenerator_8hpp" name="SegmentPathGenerator.hpp" local="no" import="no" module="no" objc="no">airtsp/command/SegmentPathGenerator.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPathGenerator.hpp</name>
    <path>airtsp/command/</path>
    <filename>SegmentPathGenerator_8hpp.html</filename>
    <includes id="AIRTSP__Types_8hpp" name="AIRTSP_Types.hpp" local="no" import="no" module="no" objc="no">airtsp/AIRTSP_Types.hpp</includes>
    <class kind="class">AIRTSP::SegmentPathGenerator</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPathProvider.cpp</name>
    <path>airtsp/command/</path>
    <filename>SegmentPathProvider_8cpp.html</filename>
    <includes id="BasConst__General_8hpp" name="BasConst_General.hpp" local="no" import="no" module="no" objc="no">airtsp/basic/BasConst_General.hpp</includes>
    <includes id="ReachableUniverse_8hpp" name="ReachableUniverse.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/ReachableUniverse.hpp</includes>
    <includes id="OriginDestinationSet_8hpp" name="OriginDestinationSet.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/OriginDestinationSet.hpp</includes>
    <includes id="SegmentPathPeriod_8hpp" name="SegmentPathPeriod.hpp" local="no" import="no" module="no" objc="no">airtsp/bom/SegmentPathPeriod.hpp</includes>
    <includes id="SegmentPathProvider_8hpp" name="SegmentPathProvider.hpp" local="no" import="no" module="no" objc="no">airtsp/command/SegmentPathProvider.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentPathProvider.hpp</name>
    <path>airtsp/command/</path>
    <filename>SegmentPathProvider_8hpp.html</filename>
    <class kind="class">AIRTSP::SegmentPathProvider</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>Simulator.cpp</name>
    <path>airtsp/command/</path>
    <filename>Simulator_8cpp.html</filename>
    <includes id="Simulator_8hpp" name="Simulator.hpp" local="no" import="no" module="no" objc="no">airtsp/command/Simulator.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>Simulator.hpp</name>
    <path>airtsp/command/</path>
    <filename>Simulator_8hpp.html</filename>
    <class kind="class">AIRTSP::Simulator</class>
    <namespace>stdair</namespace>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>TravelSolutionParser.cpp</name>
    <path>airtsp/command/</path>
    <filename>TravelSolutionParser_8cpp.html</filename>
    <includes id="TravelSolutionParser_8hpp" name="TravelSolutionParser.hpp" local="no" import="no" module="no" objc="no">airtsp/command/TravelSolutionParser.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>TravelSolutionParser.hpp</name>
    <path>airtsp/command/</path>
    <filename>TravelSolutionParser_8hpp.html</filename>
    <class kind="class">AIRTSP::TravelSolutionParser</class>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>airtsp-paths.hpp.in</name>
    <path>airtsp/config/</path>
    <filename>airtsp-paths_8hpp_8in.html</filename>
  </compound>
  <compound kind="file">
    <name>FacAIRTSPServiceContext.cpp</name>
    <path>airtsp/factory/</path>
    <filename>FacAIRTSPServiceContext_8cpp.html</filename>
    <includes id="FacAIRTSPServiceContext_8hpp" name="FacAIRTSPServiceContext.hpp" local="no" import="no" module="no" objc="no">airtsp/factory/FacAIRTSPServiceContext.hpp</includes>
    <includes id="AIRTSP__ServiceContext_8hpp" name="AIRTSP_ServiceContext.hpp" local="no" import="no" module="no" objc="no">airtsp/service/AIRTSP_ServiceContext.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>FacAIRTSPServiceContext.hpp</name>
    <path>airtsp/factory/</path>
    <filename>FacAIRTSPServiceContext_8hpp.html</filename>
    <class kind="class">AIRTSP::FacAIRTSPServiceContext</class>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>FacServiceAbstract.cpp</name>
    <path>airtsp/factory/</path>
    <filename>FacServiceAbstract_8cpp.html</filename>
    <includes id="ServiceAbstract_8hpp" name="ServiceAbstract.hpp" local="no" import="no" module="no" objc="no">airtsp/service/ServiceAbstract.hpp</includes>
    <includes id="FacServiceAbstract_8hpp" name="FacServiceAbstract.hpp" local="no" import="no" module="no" objc="no">airtsp/factory/FacServiceAbstract.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>FacServiceAbstract.hpp</name>
    <path>airtsp/factory/</path>
    <filename>FacServiceAbstract_8hpp.html</filename>
    <class kind="class">AIRTSP::FacServiceAbstract</class>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>AIRTSP_Service.cpp</name>
    <path>airtsp/service/</path>
    <filename>AIRTSP__Service_8cpp.html</filename>
    <includes id="BasConst__AIRTSP__Service_8hpp" name="BasConst_AIRTSP_Service.hpp" local="no" import="no" module="no" objc="no">airtsp/basic/BasConst_AIRTSP_Service.hpp</includes>
    <includes id="FacAIRTSPServiceContext_8hpp" name="FacAIRTSPServiceContext.hpp" local="no" import="no" module="no" objc="no">airtsp/factory/FacAIRTSPServiceContext.hpp</includes>
    <includes id="Simulator_8hpp" name="Simulator.hpp" local="no" import="no" module="no" objc="no">airtsp/command/Simulator.hpp</includes>
    <includes id="ScheduleParser_8hpp" name="ScheduleParser.hpp" local="no" import="no" module="no" objc="no">airtsp/command/ScheduleParser.hpp</includes>
    <includes id="OnDParser_8hpp" name="OnDParser.hpp" local="no" import="no" module="no" objc="no">airtsp/command/OnDParser.hpp</includes>
    <includes id="SegmentPathProvider_8hpp" name="SegmentPathProvider.hpp" local="no" import="no" module="no" objc="no">airtsp/command/SegmentPathProvider.hpp</includes>
    <includes id="InventoryGenerator_8hpp" name="InventoryGenerator.hpp" local="no" import="no" module="no" objc="no">airtsp/command/InventoryGenerator.hpp</includes>
    <includes id="SegmentPathGenerator_8hpp" name="SegmentPathGenerator.hpp" local="no" import="no" module="no" objc="no">airtsp/command/SegmentPathGenerator.hpp</includes>
    <includes id="AIRTSP__ServiceContext_8hpp" name="AIRTSP_ServiceContext.hpp" local="no" import="no" module="no" objc="no">airtsp/service/AIRTSP_ServiceContext.hpp</includes>
    <includes id="AIRTSP__Service_8hpp" name="AIRTSP_Service.hpp" local="no" import="no" module="no" objc="no">airtsp/AIRTSP_Service.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>AIRTSP_ServiceContext.cpp</name>
    <path>airtsp/service/</path>
    <filename>AIRTSP__ServiceContext_8cpp.html</filename>
    <includes id="BasConst__AIRTSP__Service_8hpp" name="BasConst_AIRTSP_Service.hpp" local="no" import="no" module="no" objc="no">airtsp/basic/BasConst_AIRTSP_Service.hpp</includes>
    <includes id="AIRTSP__ServiceContext_8hpp" name="AIRTSP_ServiceContext.hpp" local="no" import="no" module="no" objc="no">airtsp/service/AIRTSP_ServiceContext.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>AIRTSP_ServiceContext.hpp</name>
    <path>airtsp/service/</path>
    <filename>AIRTSP__ServiceContext_8hpp.html</filename>
    <includes id="AIRTSP__Types_8hpp" name="AIRTSP_Types.hpp" local="no" import="no" module="no" objc="no">airtsp/AIRTSP_Types.hpp</includes>
    <class kind="class">AIRTSP::AIRTSP_ServiceContext</class>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>ServiceAbstract.cpp</name>
    <path>airtsp/service/</path>
    <filename>ServiceAbstract_8cpp.html</filename>
    <includes id="ServiceAbstract_8hpp" name="ServiceAbstract.hpp" local="no" import="no" module="no" objc="no">airtsp/service/ServiceAbstract.hpp</includes>
    <namespace>AIRTSP</namespace>
  </compound>
  <compound kind="file">
    <name>ServiceAbstract.hpp</name>
    <path>airtsp/service/</path>
    <filename>ServiceAbstract_8hpp.html</filename>
    <class kind="class">AIRTSP::ServiceAbstract</class>
    <namespace>AIRTSP</namespace>
    <member kind="function">
      <type>std::basic_ostream&lt; charT, traits &gt; &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>ServiceAbstract_8hpp.html</anchorfile>
      <anchor>a090d1c9c852ccc3a8ee3dbcfd7dfa0cd</anchor>
      <arglist>(std::basic_ostream&lt; charT, traits &gt; &amp;ioOut, const AIRTSP::ServiceAbstract &amp;iService)</arglist>
    </member>
    <member kind="function">
      <type>std::basic_istream&lt; charT, traits &gt; &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>ServiceAbstract_8hpp.html</anchorfile>
      <anchor>aca94b665ff9afbcb22b1f8a0ab3584ee</anchor>
      <arglist>(std::basic_istream&lt; charT, traits &gt; &amp;ioIn, AIRTSP::ServiceAbstract &amp;ioService)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>authors.doc</name>
    <path>doc/local/</path>
    <filename>authors_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>codingrules.doc</name>
    <path>doc/local/</path>
    <filename>codingrules_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>copyright.doc</name>
    <path>doc/local/</path>
    <filename>copyright_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>documentation.doc</name>
    <path>doc/local/</path>
    <filename>documentation_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>features.doc</name>
    <path>doc/local/</path>
    <filename>features_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>help_wanted.doc</name>
    <path>doc/local/</path>
    <filename>help__wanted_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>howto_release.doc</name>
    <path>doc/local/</path>
    <filename>howto__release_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>index.doc</name>
    <path>doc/local/</path>
    <filename>index_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>installation.doc</name>
    <path>doc/local/</path>
    <filename>installation_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>linking.doc</name>
    <path>doc/local/</path>
    <filename>linking_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>test.doc</name>
    <path>doc/local/</path>
    <filename>test_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>users_guide.doc</name>
    <path>doc/local/</path>
    <filename>users__guide_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>verification.doc</name>
    <path>doc/local/</path>
    <filename>verification_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>tutorial.doc</name>
    <path>doc/tutorial/</path>
    <filename>tutorial_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>AirlineScheduleTestSuite.cpp</name>
    <path>test/airtsp/</path>
    <filename>AirlineScheduleTestSuite_8cpp.html</filename>
  </compound>
  <compound kind="file">
    <name>AirlineScheduleTestSuite.hpp</name>
    <path>test/airtsp/</path>
    <filename>AirlineScheduleTestSuite_8hpp.html</filename>
    <class kind="class">AirlineScheduleTestSuite</class>
    <member kind="function">
      <type></type>
      <name>CPPUNIT_TEST_SUITE_REGISTRATION</name>
      <anchorfile>AirlineScheduleTestSuite_8hpp.html</anchorfile>
      <anchor>aae2be438d5da5eca409af3fdb570040e</anchor>
      <arglist>(AirlineScheduleTestSuite)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::Airline_T</name>
    <filename>structairtsp_1_1Airline__T.html</filename>
    <member kind="function">
      <type></type>
      <name>Airline_T</name>
      <anchorfile>structairtsp_1_1Airline__T.html</anchorfile>
      <anchor>a1a79b745c9b202751e4839f8bb453627</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>display</name>
      <anchorfile>structairtsp_1_1Airline__T.html</anchorfile>
      <anchor>a24a84d0e209a7f33082ebca85da2c1fe</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>_isPreferred</name>
      <anchorfile>structairtsp_1_1Airline__T.html</anchorfile>
      <anchor>a38ac23e16d59236cf98eaa238857eb7c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>_name</name>
      <anchorfile>structairtsp_1_1Airline__T.html</anchorfile>
      <anchor>a3c81473a17630da5f748d47f6423913d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>_code</name>
      <anchorfile>structairtsp_1_1Airline__T.html</anchorfile>
      <anchor>a4b15ee85652a8b9ed9d8acaa1198b54c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AirlineScheduleTestSuite</name>
    <filename>classAirlineScheduleTestSuite.html</filename>
    <member kind="function">
      <type>void</type>
      <name>externalMemoryManagement</name>
      <anchorfile>classAirlineScheduleTestSuite.html</anchorfile>
      <anchor>af0d0f093969dafa0da3039bc0e1b3c4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scheduleParsing</name>
      <anchorfile>classAirlineScheduleTestSuite.html</anchorfile>
      <anchor>ac989b130453e1938c087c932d387f80c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AirlineScheduleTestSuite</name>
      <anchorfile>classAirlineScheduleTestSuite.html</anchorfile>
      <anchor>a5954fbe318949935303f0765d40e5d3d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::stringstream</type>
      <name>_describeKey</name>
      <anchorfile>classAirlineScheduleTestSuite.html</anchorfile>
      <anchor>a4d377b50e8660a673cb60c416c93ff7e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::AIRTSP_Service</name>
    <filename>classAIRTSP_1_1AIRTSP__Service.html</filename>
    <member kind="function">
      <type></type>
      <name>AIRTSP_Service</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>a227ec839f04797c7757d3fedb020f19d</anchor>
      <arglist>(const stdair::BasLogParams &amp;, const stdair::BasDBParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AIRTSP_Service</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>aa8392fcdf92d48cb002e8b07d4e37296</anchor>
      <arglist>(const stdair::BasLogParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AIRTSP_Service</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>a912a5bc1fb492468c80b68778c448366</anchor>
      <arglist>(stdair::STDAIR_ServicePtr_T ioSTDAIR_ServicePtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>a284174926fc30bec04ac774f732e7918</anchor>
      <arglist>(const stdair::ScheduleFilePath &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>a71c922f2551de05397884227b2311316</anchor>
      <arglist>(const stdair::ScheduleFilePath &amp;, const stdair::ODFilePath &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~AIRTSP_Service</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>a071187067978f04490eaa08e3a77905b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleBom</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>a8531681be64a1837bf52df15ce43e95c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clonePersistentBom</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>a5e3bd282072db5a53cc68e083922c747</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildComplementaryLinks</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>a21dda4cd252fba9f2c847632fe3b70eb</anchor>
      <arglist>(stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSegmentPathList</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>aba21a63661e2f9c3273a148c4192fd52</anchor>
      <arglist>(stdair::TravelSolutionList_T &amp;, const stdair::BookingRequestStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>simulate</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>ae2993509ec4073db87d0ddbcc617f5d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>jsonExportFlightDateObjects</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>a8871271b84f65907fca1b2ade60894b2</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::FlightNumber_T &amp;, const stdair::Date_T &amp;iDepartureDate) const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>a74bbb5fe8be24875f791957eac679f10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__Service.html</anchorfile>
      <anchor>aa4c9fa5b2908fb0d41b92107e8233746</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::FlightNumber_T &amp;, const stdair::Date_T &amp;iDepartureDate) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::AIRTSP_ServiceContext</name>
    <filename>classAIRTSP_1_1AIRTSP__ServiceContext.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>AIRTSP_Service</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__ServiceContext.html</anchorfile>
      <anchor>a24dc2a4f7d30ee049dd8256883c9ad15</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacAIRTSPServiceContext</name>
      <anchorfile>classAIRTSP_1_1AIRTSP__ServiceContext.html</anchorfile>
      <anchor>a6eaf7ddc174f4cc6f2524f9e093a8d1e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::BomDisplay</name>
    <filename>classAIRTSP_1_1BomDisplay.html</filename>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classAIRTSP_1_1BomDisplay.html</anchorfile>
      <anchor>a9126aa3114c875b261ba1ab4b1755b1e</anchor>
      <arglist>(const stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>csvDisplay</name>
      <anchorfile>classAIRTSP_1_1BomDisplay.html</anchorfile>
      <anchor>ae277e1d67b391b993cbdb2073dba2f5a</anchor>
      <arglist>(std::ostream &amp;, const ReachableUniverse &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::Date_T</name>
    <filename>structairtsp_1_1Date__T.html</filename>
    <member kind="function">
      <type></type>
      <name>Date_T</name>
      <anchorfile>structairtsp_1_1Date__T.html</anchorfile>
      <anchor>ade9c81554492895cafc013f87c808b8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>display</name>
      <anchorfile>structairtsp_1_1Date__T.html</anchorfile>
      <anchor>ae5300da5e32807803722559a6db1ebf3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>boost::gregorian::date</type>
      <name>getDate</name>
      <anchorfile>structairtsp_1_1Date__T.html</anchorfile>
      <anchor>a2426c290172b437965675c2c890b24da</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>boost::gregorian::date</type>
      <name>_date</name>
      <anchorfile>structairtsp_1_1Date__T.html</anchorfile>
      <anchor>a5cf93737dadfd023129fbe439ee1d12e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_reldays</name>
      <anchorfile>structairtsp_1_1Date__T.html</anchorfile>
      <anchor>a3cec1527617e7b646bcd3e8aedba730a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_day</name>
      <anchorfile>structairtsp_1_1Date__T.html</anchorfile>
      <anchor>a756684b672b9dd9a79d83360c51b3e93</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_month</name>
      <anchorfile>structairtsp_1_1Date__T.html</anchorfile>
      <anchor>a576dac77e932916d723329ea1343c520</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_year</name>
      <anchorfile>structairtsp_1_1Date__T.html</anchorfile>
      <anchor>a6840cc1e4fd4dfb4b003632739b134cf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::OnDParser::definition</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1OnDParser_1_1definition.html</filename>
    <templarg>typename ScannerT</templarg>
    <member kind="function">
      <type></type>
      <name>definition</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser_1_1definition.html</anchorfile>
      <anchor>a3b11da4c9f30627ade5348d13e98fcf2</anchor>
      <arglist>(OnDParser const &amp;self)</arglist>
    </member>
    <member kind="function">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt; const &amp;</type>
      <name>start</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser_1_1definition.html</anchorfile>
      <anchor>a75ac1d66d5f4b465f9f9275145946c96</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>ond_list</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser_1_1definition.html</anchorfile>
      <anchor>a114de3dda892cc72ae22d80adf6f3836</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>ond</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser_1_1definition.html</anchorfile>
      <anchor>ad66f19a49c05fa7674d8ad3e3c0f2b56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser_1_1definition.html</anchorfile>
      <anchor>aeea81eec005ce6ce38a5a63f9ca66738</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>ond_key</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser_1_1definition.html</anchorfile>
      <anchor>ae72fb00a6427d4f1a319fa78b307015d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>ond_end</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser_1_1definition.html</anchorfile>
      <anchor>a71d683d992df2666c74fd910d06f2a78</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>date</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser_1_1definition.html</anchorfile>
      <anchor>a3b60fdcf9fb6b93e40d5fc33cb055d8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>time</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser_1_1definition.html</anchorfile>
      <anchor>a488f52c86ac40be459c06b180d075ee5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::FlightPeriodParser::definition</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</filename>
    <templarg>typename ScannerT</templarg>
    <member kind="function">
      <type></type>
      <name>definition</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a42ceb24441b9a20b05f325c2efffb7a4</anchor>
      <arglist>(FlightPeriodParser const &amp;self)</arglist>
    </member>
    <member kind="function">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt; const &amp;</type>
      <name>start</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>aee2640a98dab268203a56fb03101c588</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_period_list</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a74dd54ce19fb30b878d845b883ff7656</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_period</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>ac2762e7cff63ab08669ae33d96318c30</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>not_to_be_parsed</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>ad39480371bcbdf56edd1f861529e93a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_period_end</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a92b7ffc6a9f7fc136c66c7a5927fcb21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_key</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a38aed569136609132f1df6d6db4e9db4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>airline_code</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>abd977f30b770d27040c458f53a958129</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_number</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a20db5002aba9a4aa31f3edff288b170b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>date</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a7e98c444b4b2f67445b4474b09ff4e23</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>dow</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>af96a63ed65b65da0ecaa4c0a4c571019</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>time</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>aecaa15f0a71009c3936612a7a4ccff71</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>date_offset</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a9b0f542269ffce38894a41dffa637dc7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a6d597fa67b3e928e46493569bb785d57</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_key</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>aeee9836c50e9106e03fa512dee056581</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>operating_leg_details</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a9335fd326418ae1af957d99890ab5642</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_details</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>aba6e38b2bf60ddb1de9e89f5d02b1497</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_cabin_details</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a896e77fa98696b957d4a0435df1ae317</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_section</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a09e97c9e0a0530a9eedc28892f6f3956</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_key</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a157726f48d3ae80480323213fb20b7d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>full_segment_cabin_details</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a6141f75f301d899ee2981d43f324c8f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_cabin_details</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a42c4f77fc000237da73965b3ebaad500</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>full_family_cabin_details</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>a29f2a46d776c351416600c26170cfb51</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>family_cabin_details</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>ac04e3b99fda1900f02009007864bba20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>generic_segment</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>aa5b2fde47f473c4f76a849e0bd4d1808</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>specific_segment_list</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>ae00f4edb764f087824530e658e32e8ac</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::SearchStringParser::definition</name>
    <filename>structairtsp_1_1SearchStringParser_1_1definition.html</filename>
    <templarg>typename ScannerT</templarg>
    <member kind="function">
      <type></type>
      <name>definition</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a0f566fe02a29ce438b01cd5a8611b017</anchor>
      <arglist>(SearchStringParser const &amp;self)</arglist>
    </member>
    <member kind="function">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt; const &amp;</type>
      <name>start</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>ac89b3ea1f23089b1c235a91694fb74f4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>search_string</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a846b3d0535fc149457ee06c3542c6fc7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>places</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a408be07ef15f9f5343c860b193a32c1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>place_element</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a9c3b5adaeb3d0f81fdeade9f0b9baca2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>dates</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a9348159c01fd52b21f1ea944b264b0a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>date</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a2eef18e84293603c9feee2658b5cc099</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>month</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>abc66b33ee938d32fd0de850823d8fab0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>day</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>ad54f205547667d641da9c5512dff376d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>year</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a6a49b67dda7ee41c6f0b9824731a72e8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>preferred_airlines</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a1440d1c8a2decfa180048be22ce05b5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>airline_code</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a95a912bfa5d1844ad08cc8cc4ee1e613</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>airline_name</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a6cddbb5616ae128294040597e8e846c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>passengers</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>aef5ccbb8ba9a78d93415fa940e0c03b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>passenger_number</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>aa7f41f1daeb94bd9a9a0da951ea00f7f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>passenger_type</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a342cb0c29eb9b8dbaa1fc6abc9c6c51d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>passenger_adult_type</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a53b6a0637e276417af41411cca561926</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>passenger_child_type</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>a9cb3dcb0c0c9255159795e35d40a0433</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>passenger_pet_type</name>
      <anchorfile>structairtsp_1_1SearchStringParser_1_1definition.html</anchorfile>
      <anchor>aa5a0c14386653b4cbbd05346ecaab79d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::doEndFlight</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1doEndFlight.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndFlight</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1doEndFlight.html</anchorfile>
      <anchor>a769409c5cb0ab710092be54e2550e37e</anchor>
      <arglist>(stdair::BomRoot &amp;, FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1doEndFlight.html</anchorfile>
      <anchor>a89f60c90df05d355ab7647170e703729</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1doEndFlight.html</anchorfile>
      <anchor>ad1bdb56f857023856500aa812a32dc23</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::doEndOnD</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1doEndOnD.html</filename>
    <base>AIRTSP::OnDParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndOnD</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1doEndOnD.html</anchorfile>
      <anchor>a9b0dc006ea3f8865c4639e13e229e55f</anchor>
      <arglist>(stdair::BomRoot &amp;, OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1doEndOnD.html</anchorfile>
      <anchor>aeb90223d47e68059d3339b2fddd3cd98</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1doEndOnD.html</anchorfile>
      <anchor>ac0492c150ce4b399ede3e37cdb2263a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a264ecfae6b4222a814422e88a701fb28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::FacAIRTSPServiceContext</name>
    <filename>classAIRTSP_1_1FacAIRTSPServiceContext.html</filename>
    <member kind="function">
      <type></type>
      <name>~FacAIRTSPServiceContext</name>
      <anchorfile>classAIRTSP_1_1FacAIRTSPServiceContext.html</anchorfile>
      <anchor>a5e158eecbb5690324005e4146f567c2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AIRTSP_ServiceContext &amp;</type>
      <name>create</name>
      <anchorfile>classAIRTSP_1_1FacAIRTSPServiceContext.html</anchorfile>
      <anchor>a4b2ac0c5919854955ff40d9986cea193</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FacAIRTSPServiceContext &amp;</type>
      <name>instance</name>
      <anchorfile>classAIRTSP_1_1FacAIRTSPServiceContext.html</anchorfile>
      <anchor>a43417f88cd855de189d1cb617ac2d0fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacAIRTSPServiceContext</name>
      <anchorfile>classAIRTSP_1_1FacAIRTSPServiceContext.html</anchorfile>
      <anchor>aaaf7b5d3c762c6e822dba69c7c35154a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>stdair::FacBom</name>
    <filename>classstdair_1_1FacBom.html</filename>
    <templarg>typename BOM</templarg>
  </compound>
  <compound kind="class">
    <name>AIRTSP::FacServiceAbstract</name>
    <filename>classAIRTSP_1_1FacServiceAbstract.html</filename>
    <member kind="typedef">
      <type>std::vector&lt; ServiceAbstract * &gt;</type>
      <name>ServicePool_T</name>
      <anchorfile>classAIRTSP_1_1FacServiceAbstract.html</anchorfile>
      <anchor>aa0aa518396ceb24f201d459c6a0393dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FacServiceAbstract</name>
      <anchorfile>classAIRTSP_1_1FacServiceAbstract.html</anchorfile>
      <anchor>a61a24622b592ed8802ed375ddda55d51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clean</name>
      <anchorfile>classAIRTSP_1_1FacServiceAbstract.html</anchorfile>
      <anchor>afda1a184e3ca1dfdafbc8534d36ac4aa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacServiceAbstract</name>
      <anchorfile>classAIRTSP_1_1FacServiceAbstract.html</anchorfile>
      <anchor>aa0a5b8044a36efea567d37b592219936</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ServicePool_T</type>
      <name>_pool</name>
      <anchorfile>classAIRTSP_1_1FacServiceAbstract.html</anchorfile>
      <anchor>ab6641ee1c55794a7192fe81cfc373c1b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::FareFamilyStruct</name>
    <filename>structAIRTSP_1_1FareFamilyStruct.html</filename>
    <member kind="function">
      <type></type>
      <name>FareFamilyStruct</name>
      <anchorfile>structAIRTSP_1_1FareFamilyStruct.html</anchorfile>
      <anchor>ad74d87a3ec2dfd0a13cc0663764ba897</anchor>
      <arglist>(const stdair::FamilyCode_T &amp;, const stdair::CurveKey_T &amp;, const stdair::CurveKey_T &amp;, const stdair::ClassList_String_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRTSP_1_1FareFamilyStruct.html</anchorfile>
      <anchor>ad10e354de13a755e2c3f33cbb4fda506</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>stdair::FamilyCode_T</type>
      <name>_familyCode</name>
      <anchorfile>structAIRTSP_1_1FareFamilyStruct.html</anchorfile>
      <anchor>a9f1da81e31d567353f1a3b0122652c61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CurveKey_T</type>
      <name>_frat5CurveKey</name>
      <anchorfile>structAIRTSP_1_1FareFamilyStruct.html</anchorfile>
      <anchor>a4880d2941c6718d437119b49e855a374</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CurveKey_T</type>
      <name>_ffDisutilityCurveKey</name>
      <anchorfile>structAIRTSP_1_1FareFamilyStruct.html</anchorfile>
      <anchor>a1d638c9c7ebaf29439505dddb3019d30</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ClassList_String_T</type>
      <name>_classes</name>
      <anchorfile>structAIRTSP_1_1FareFamilyStruct.html</anchorfile>
      <anchor>a7f208172d3ee407dfb8b5a8a9e0ce8fc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::FlagSaver</name>
    <filename>structAIRTSP_1_1FlagSaver.html</filename>
    <member kind="function">
      <type></type>
      <name>FlagSaver</name>
      <anchorfile>structAIRTSP_1_1FlagSaver.html</anchorfile>
      <anchor>a51b193c769ae3bdc99a761133fdcce01</anchor>
      <arglist>(std::ostream &amp;oStream)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~FlagSaver</name>
      <anchorfile>structAIRTSP_1_1FlagSaver.html</anchorfile>
      <anchor>acd89b4915eee50530c5409b22320c36d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::FlightPeriodFileParser</name>
    <filename>classAIRTSP_1_1FlightPeriodFileParser.html</filename>
    <member kind="function">
      <type></type>
      <name>FlightPeriodFileParser</name>
      <anchorfile>classAIRTSP_1_1FlightPeriodFileParser.html</anchorfile>
      <anchor>a1ce7723550f18d73d0d039068d6db7ee</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>generateInventories</name>
      <anchorfile>classAIRTSP_1_1FlightPeriodFileParser.html</anchorfile>
      <anchor>a5208e070ce9da2dc8977cd73d88f28e8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::FlightPeriodParser</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser.html</filename>
    <class kind="struct">AIRTSP::ScheduleParserHelper::FlightPeriodParser::definition</class>
    <member kind="function">
      <type></type>
      <name>FlightPeriodParser</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser.html</anchorfile>
      <anchor>a0a857b500bceba80f366fb2188ba6462</anchor>
      <arglist>(stdair::BomRoot &amp;, FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser.html</anchorfile>
      <anchor>afebf964f4558732b550281248510bd43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1FlightPeriodParser.html</anchorfile>
      <anchor>aa8579a24bce5351bdbfca3ed7cb3c9b8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::FlightPeriodStruct</name>
    <filename>structAIRTSP_1_1FlightPeriodStruct.html</filename>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDate</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a6d6e45568aa0477e01aa5d3fc6b8ab22</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTime</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>ad1b1319fefb880ee610986695d3dbe57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a822bf9fca7857ecb68dc908203f08c40</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAirport</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a6023c137f4f6c040a63d21e1525700c8</anchor>
      <arglist>(const stdair::AirportCode_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSegments</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>ae03a0359b3a236465f947dadf52ea492</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSegmentCabin</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a49609aa41efd495311cf423d38fab5a1</anchor>
      <arglist>(const SegmentStruct &amp;, const SegmentCabinStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSegmentCabin</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a99c856ca5da416cd3322353715b74e3b</anchor>
      <arglist>(const SegmentCabinStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addFareFamily</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a7e6541dd4df229d70e5f079c4dc29c98</anchor>
      <arglist>(const SegmentStruct &amp;, const SegmentCabinStruct &amp;, const FareFamilyStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addFareFamily</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a3fcc38427202755872af1c1fe7980b38</anchor>
      <arglist>(const SegmentCabinStruct &amp;, const FareFamilyStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightPeriodStruct</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a5ce65e9ab420359047991fedb37ff187</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCode_T</type>
      <name>_airlineCode</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a94bb0b8d4b404a57d799be7ae74f45b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::FlightNumber_T</type>
      <name>_flightNumber</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a1320affd939bc7aed516ffd9df0fe945</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DatePeriod_T</type>
      <name>_dateRange</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a70162449f76ee7637bd4e714129ab878</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DoWStruct</type>
      <name>_dow</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>aa4503353d519ad54c843e057a57cc82d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegStructList_T</type>
      <name>_legList</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a68caf34649bde47eff3c485291f59be4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentStructList_T</type>
      <name>_segmentList</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>ad548dd7a94b47990894b33b3f0d94e97</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>_legAlreadyDefined</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a9ab50ac65e82476196a334cef7b877a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegStruct</type>
      <name>_itLeg</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a4a0a0afa6d21f176a0b71ccb84d4aa0f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegCabinStruct</type>
      <name>_itLegCabin</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>abe66ae5d32de21fadb6ec77fc3e1301c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_dateRangeStart</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>aff6130e6d7f4e67c88c28cc56e5f4472</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_dateRangeEnd</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a513971d23f74c6dbf23c006fcb75de8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itYear</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>aafef3fd91c903e35a471006261cc33be</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itMonth</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a1c4ed95bd53ed14c6a7f21c8687e068b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itDay</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>ac78bd2669f412274e10316486c45f204</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>_dateOffset</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a1a1ee8eaab9b252d13e407cdb094b5d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itHours</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a958b6ec773b0a64b082461a5a344bd2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itMinutes</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>ac930fe00ee0898849be81ab4bb0e3dc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itSeconds</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a01a09d7420b34dc8b9a68e696548f578</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>AirportList_T</type>
      <name>_airportList</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a225a1904e05d9532913f4f0af8167180</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>AirportOrderedList_T</type>
      <name>_airportOrderedList</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a22c32ecb2fe439407fc0993028c83a6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>_areSegmentDefinitionsSpecific</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>a28e7c2cfae9b19bef4cb85f31f28cdb5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentStruct</type>
      <name>_itSegment</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>ad4e5635b94cfd4a12dd6ed188734fbea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentCabinStruct</type>
      <name>_itSegmentCabin</name>
      <anchorfile>structAIRTSP_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>af3d5e6ee6260cd0062976f4fe1e0f87b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::InventoryGenerator</name>
    <filename>classAIRTSP_1_1InventoryGenerator.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FlightPeriodFileParser</name>
      <anchorfile>classAIRTSP_1_1InventoryGenerator.html</anchorfile>
      <anchor>a5030dec2a6a29bf2c0c45bebfcbe8d49</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FFFlightPeriodFileParser</name>
      <anchorfile>classAIRTSP_1_1InventoryGenerator.html</anchorfile>
      <anchor>ade33566c8b8703f61e4f1c407b6e058e</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend struct</type>
      <name>ScheduleParserHelper::doEndFlight</name>
      <anchorfile>classAIRTSP_1_1InventoryGenerator.html</anchorfile>
      <anchor>ada3e1eeaaa3a7195f77ed9502d6ffb1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ScheduleParser</name>
      <anchorfile>classAIRTSP_1_1InventoryGenerator.html</anchorfile>
      <anchor>a0b0df3492c9f64508d9ce914b4543bf0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::LegCabinStruct</name>
    <filename>structAIRTSP_1_1LegCabinStruct.html</filename>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRTSP_1_1LegCabinStruct.html</anchorfile>
      <anchor>a3040d561f2bc83adb7bb91192ebea977</anchor>
      <arglist>(stdair::LegCabin &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRTSP_1_1LegCabinStruct.html</anchorfile>
      <anchor>a30ca7de44b06b43acf20f389e78b998d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>stdair::CabinCode_T</type>
      <name>_cabinCode</name>
      <anchorfile>structAIRTSP_1_1LegCabinStruct.html</anchorfile>
      <anchor>a5e54f59bf5720c228c15b8055e53aad8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CabinCapacity_T</type>
      <name>_capacity</name>
      <anchorfile>structAIRTSP_1_1LegCabinStruct.html</anchorfile>
      <anchor>aafd0237a121c3c79481aa16a020bafe7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::LegStruct</name>
    <filename>structAIRTSP_1_1LegStruct.html</filename>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>a4dc0f2667d6c6b3796f49163812b02f5</anchor>
      <arglist>(const stdair::Date_T &amp;iRefDate, stdair::LegDate &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>a2655d9af344c408563295ddd1b215093</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LegStruct</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>ad59e398ff1db2982c320c8fa02d28c25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCode_T</type>
      <name>_airlineCode</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>afe21608a32ea76016fe985f07315f371</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::FlightNumber_T</type>
      <name>_flightNumber</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>ac94cadb1ec232ed07647cae46504e25f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_boardingPoint</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>a15e630d074ee8ab3f547d55cd7395a8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DateOffset_T</type>
      <name>_boardingDateOffset</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>a11640a061459ec229f708f2a69c800d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_boardingTime</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>a00dcc998572491b001b9134610464212</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_offPoint</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>a4a6973d7a6b35d89c06199ae245c98fd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DateOffset_T</type>
      <name>_offDateOffset</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>a95c86af0f869f0e7ac81c02eb456f332</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_offTime</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>ac29b12fe0abb82335e814858e414cc5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_elapsed</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>ab16fd340680dbd49d8b2055834ff0588</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegCabinStructList_T</type>
      <name>_cabinList</name>
      <anchorfile>structAIRTSP_1_1LegStruct.html</anchorfile>
      <anchor>ac04d6ecdf807a8f7994d1920cad23c68</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::OnDInputFileNotFoundException</name>
    <filename>classAIRTSP_1_1OnDInputFileNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>OnDInputFileNotFoundException</name>
      <anchorfile>classAIRTSP_1_1OnDInputFileNotFoundException.html</anchorfile>
      <anchor>aabb01a03fc551bde5041c48e9e8a20ee</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::OnDParser</name>
    <filename>classAIRTSP_1_1OnDParser.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>generateOnDPeriods</name>
      <anchorfile>classAIRTSP_1_1OnDParser.html</anchorfile>
      <anchor>ad383152c18c0b23c374a8fee9b4cbbbf</anchor>
      <arglist>(const stdair::ODFilePath &amp;, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::OnDParser</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1OnDParser.html</filename>
    <class kind="struct">AIRTSP::OnDParserHelper::OnDParser::definition</class>
    <member kind="function">
      <type></type>
      <name>OnDParser</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser.html</anchorfile>
      <anchor>ac154e739467b5298646a42ecd434d5e5</anchor>
      <arglist>(stdair::BomRoot &amp;, OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser.html</anchorfile>
      <anchor>a0c24bd0e730b3fdb0c36574b1f5764ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1OnDParser.html</anchorfile>
      <anchor>a19c19a8b73e9d00176d6b79e212c0e2e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::OnDPeriodFileParser</name>
    <filename>classAIRTSP_1_1OnDPeriodFileParser.html</filename>
    <member kind="function">
      <type></type>
      <name>OnDPeriodFileParser</name>
      <anchorfile>classAIRTSP_1_1OnDPeriodFileParser.html</anchorfile>
      <anchor>a05d052aee095dea7a6abf5f53d653dd9</anchor>
      <arglist>(const stdair::Filename_T &amp;iFilename, stdair::BomRoot &amp;ioBomRoot)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>generateOnDPeriods</name>
      <anchorfile>classAIRTSP_1_1OnDPeriodFileParser.html</anchorfile>
      <anchor>a2213cbd6df5c104ded8a97117753c4e2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::OnDPeriodGenerator</name>
    <filename>classAIRTSP_1_1OnDPeriodGenerator.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>OnDPeriodFileParser</name>
      <anchorfile>classAIRTSP_1_1OnDPeriodGenerator.html</anchorfile>
      <anchor>abf30455e5a8581b766174b6d497a14c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend struct</type>
      <name>OnDParserHelper::doEndOnD</name>
      <anchorfile>classAIRTSP_1_1OnDPeriodGenerator.html</anchorfile>
      <anchor>a1efcf2075829d97b7ec1ffe4692d5947</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>OnDParser</name>
      <anchorfile>classAIRTSP_1_1OnDPeriodGenerator.html</anchorfile>
      <anchor>af4f6a6155509314c1d2aa0370cb8325a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDPeriodStruct</name>
    <filename>structAIRTSP_1_1OnDPeriodStruct.html</filename>
    <member kind="function">
      <type>const stdair::AirlineCode_T &amp;</type>
      <name>getFirstAirlineCode</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a2a584473d82c2ff2db3bdea4cf9d0da5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDate</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a78c7e976081d6000392470182d022638</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTime</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>ac2aed6c9bc3e3ef3dabac6b3f0794a31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a7a4e22c15e81e1a83ee65ddccae7fba5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describeTSKey</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>ade8e72bc3be0dc6a294b5be3b59391cc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OnDPeriodStruct</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>adff003b5b8a224c7b483e826493b90cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_origin</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a59ac8bd7bdce1a029221982dc99c8805</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_destination</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a521774702f67483959d52c271b914e2f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DatePeriod_T</type>
      <name>_datePeriod</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>aa6e253ae0575b67539e1340e0e35d7aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_timeRangeStart</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>adb4d77ff0fa84251fde50b1e08f9610c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_timeRangeEnd</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>ad708de52b5898380fa1db67f0c361238</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfAirlines_T</type>
      <name>_nbOfAirlines</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>aa6fc2db746a63ac063fd77db3d764156</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCode_T</type>
      <name>_airlineCode</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>af0952e76d197ecc5e281f60bf887bf4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ClassCode_T</type>
      <name>_classCode</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a2db561b60738dc65ca1470d62541a4b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCodeList_T</type>
      <name>_airlineCodeList</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>af6f4556e3dcef232e7f1694ff5b62532</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ClassCodeList_T</type>
      <name>_classCodeList</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a18aac100775c270bd5925c9c89cc04f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_dateRangeStart</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a4cf5c5612c95e524df5ad70c553a16b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_dateRangeEnd</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>aa5d7297515ec7ac747f4e4556c583255</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itYear</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>abf1d650dc0a871d39e0cb89731634e7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itMonth</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>aa3a1c1350f31e460ac8f8adb12296a55</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itDay</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a7759ad1f237b7b819e9c22fe56a106ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itHours</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a7af82529d0dae1e0645bae20a87dd10a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itMinutes</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>a467fa388c8410475c853331921ba18db</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itSeconds</name>
      <anchorfile>structAIRTSP_1_1OnDPeriodStruct.html</anchorfile>
      <anchor>afd9a59e446e193f41a64b9772d438643</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::OriginDestinationSet</name>
    <filename>classAIRTSP_1_1OriginDestinationSet.html</filename>
    <member kind="typedef">
      <type>OriginDestinationSetKey</type>
      <name>Key_T</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a5ff143c29b10410dd42c3e6bbe76ad6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const Key_T &amp;</type>
      <name>getKey</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a3296b1b1143363bd83eb80d01747d8e7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::AirportCode_T &amp;</type>
      <name>getDestination</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a84a832c3a309883269fa066f7f2c8ca1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::BomAbstract *const</type>
      <name>getParent</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a2b5c82f89f050cf8bee198d60298eb68</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::HolderMap_T &amp;</type>
      <name>getHolderMap</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a045eba4eb42769eea54bdaf0c84bb706</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toStream</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a8e5c7760a9d082eb06b6e12c36276b5e</anchor>
      <arglist>(std::ostream &amp;ioOut) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromStream</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>ac55dddcc62b440d65db94f1559c2e11c</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>toString</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>ae4d0ddd9b28a6f8935770d4f5b8545ad</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describeKey</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a81282e91e624e51cde09ca76465acae0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a8939f7b9ea6959a7af2bb67117e3c938</anchor>
      <arglist>(Archive &amp;ar, const unsigned int iFileVersion)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>OriginDestinationSet</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a678b19f2cc8466ab8c9c87a14995f360</anchor>
      <arglist>(const Key_T &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~OriginDestinationSet</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a0d990dfea6975aa002e1ef01a2bd525e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Key_T</type>
      <name>_key</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a2c375c6de002070200d8f5595a686142</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>stdair::BomAbstract *</type>
      <name>_parent</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a548c78d6eece9cd5cdd57cbf428fa4b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>stdair::HolderMap_T</type>
      <name>_holderMap</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>a174e25e8c482673e201d338a822d453c</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>stdair::FacBom</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>aa74197ca4ed97e6b76201e64642c33de</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>stdair::FacBomManager</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>ad2d1a9d522e5b94492e414a383f40b57</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>boost::serialization::access</name>
      <anchorfile>classAIRTSP_1_1OriginDestinationSet.html</anchorfile>
      <anchor>ac98d07dd8f7b70e16ccb9a01abf56b9c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OriginDestinationSetKey</name>
    <filename>structAIRTSP_1_1OriginDestinationSetKey.html</filename>
    <member kind="function">
      <type></type>
      <name>OriginDestinationSetKey</name>
      <anchorfile>structAIRTSP_1_1OriginDestinationSetKey.html</anchorfile>
      <anchor>a554bc77f7343e826a640781fbf200a7c</anchor>
      <arglist>(const stdair::AirportCode_T &amp;iDestination)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OriginDestinationSetKey</name>
      <anchorfile>structAIRTSP_1_1OriginDestinationSetKey.html</anchorfile>
      <anchor>a0eb94613cf028edfa090e9e6e8da1e0f</anchor>
      <arglist>(const OriginDestinationSetKey &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~OriginDestinationSetKey</name>
      <anchorfile>structAIRTSP_1_1OriginDestinationSetKey.html</anchorfile>
      <anchor>a94ea2a1336b7fb32bb04fc89fd9aeb5c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const stdair::AirportCode_T &amp;</type>
      <name>getOffPoint</name>
      <anchorfile>structAIRTSP_1_1OriginDestinationSetKey.html</anchorfile>
      <anchor>a04d78ce413f278c94900c45ce0bf58f0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toStream</name>
      <anchorfile>structAIRTSP_1_1OriginDestinationSetKey.html</anchorfile>
      <anchor>afd7eaf5b41aba197a4e588493a940221</anchor>
      <arglist>(std::ostream &amp;ioOut) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromStream</name>
      <anchorfile>structAIRTSP_1_1OriginDestinationSetKey.html</anchorfile>
      <anchor>a05aadc3dd385eda0c8ce88267f6e783b</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>toString</name>
      <anchorfile>structAIRTSP_1_1OriginDestinationSetKey.html</anchorfile>
      <anchor>a26ec4e02271e24d0baad64191ee1a9d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchorfile>structAIRTSP_1_1OriginDestinationSetKey.html</anchorfile>
      <anchor>a07b73248e61e9056180981159a0523ca</anchor>
      <arglist>(Archive &amp;ar, const unsigned int iFileVersion)</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>boost::serialization::access</name>
      <anchorfile>structAIRTSP_1_1OriginDestinationSetKey.html</anchorfile>
      <anchor>ac98d07dd8f7b70e16ccb9a01abf56b9c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::ParserSemanticAction</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>ab83eca3e41fecad191c004ef8908ce1a</anchor>
      <arglist>(OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a264ecfae6b4222a814422e88a701fb28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::ParserSemanticAction</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a5a03de5ed25cb4b29d32f93e3b4c38cb</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::Passenger_T</name>
    <filename>structairtsp_1_1Passenger__T.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>PassengerType_T</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a4ccad4a1f030c8b93ddf2b0cb818b77e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ADULT</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a4ccad4a1f030c8b93ddf2b0cb818b77eab58cebfd159f4f874bbdbbe3d5722e78</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CHILD</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a4ccad4a1f030c8b93ddf2b0cb818b77eabcca75df64edf79c1501ab1e5719aa43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PET</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a4ccad4a1f030c8b93ddf2b0cb818b77eab5ca61dcb1995ad934467e1d350ec2d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LAST_VALUE</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a4ccad4a1f030c8b93ddf2b0cb818b77ea51b7649611917d2a1b29d2ea9853081f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ADULT</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a4ccad4a1f030c8b93ddf2b0cb818b77eab58cebfd159f4f874bbdbbe3d5722e78</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CHILD</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a4ccad4a1f030c8b93ddf2b0cb818b77eabcca75df64edf79c1501ab1e5719aa43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PET</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a4ccad4a1f030c8b93ddf2b0cb818b77eab5ca61dcb1995ad934467e1d350ec2d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LAST_VALUE</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a4ccad4a1f030c8b93ddf2b0cb818b77ea51b7649611917d2a1b29d2ea9853081f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Passenger_T</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>ab1a44a38b9a84561f6460c0713919446</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>display</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>aebdbe38f5c7c52fd688cf58efaa81ddc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>PassengerType_T</type>
      <name>_type</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a0e5c87a0a89da3fb4454d90211025f82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>_number</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a443ec084ca320df26b41a93e78e08b8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const std::string</type>
      <name>_labels</name>
      <anchorfile>structairtsp_1_1Passenger__T.html</anchorfile>
      <anchor>a4d7bd32dd8f10aa74c4fc9917c23a309</anchor>
      <arglist>[LAST_VALUE]</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::Place_T</name>
    <filename>structairtsp_1_1Place__T.html</filename>
    <member kind="function">
      <type></type>
      <name>Place_T</name>
      <anchorfile>structairtsp_1_1Place__T.html</anchorfile>
      <anchor>a972ebbbc42c2123b5ba4d9a2d76eb656</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>display</name>
      <anchorfile>structairtsp_1_1Place__T.html</anchorfile>
      <anchor>ada17756e2f33b90cce5b0fe7d721b7b6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>_name</name>
      <anchorfile>structairtsp_1_1Place__T.html</anchorfile>
      <anchor>a4c5c922fdc2f1b9d3cf4f6045bc82cca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>_code</name>
      <anchorfile>structairtsp_1_1Place__T.html</anchorfile>
      <anchor>a2d84261b0bc8507178a7222a97098ff0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::ReachableUniverse</name>
    <filename>classAIRTSP_1_1ReachableUniverse.html</filename>
    <member kind="typedef">
      <type>ReachableUniverseKey</type>
      <name>Key_T</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>ac12d8b783a5130660d374d47a2ad03a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const Key_T &amp;</type>
      <name>getKey</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>a0262f7fe23d023bea094442f2ca2eb8d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::AirportCode_T &amp;</type>
      <name>getOrigin</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>ab99fc255ade77dcfa762b6942785455d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::BomAbstract *const</type>
      <name>getParent</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>aba543fc7c8794401429275c7dd2d75f9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::HolderMap_T &amp;</type>
      <name>getHolderMap</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>afcddafcba0921418f98cd4c3f1ca1c93</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const SegmentPathPeriodListList_T &amp;</type>
      <name>getSegmentPathPeriodListList</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>a9bd2fe628ccd9b45776d4aaf2207fc85</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toStream</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>ac5538250eb15ddcddac2dc67b1fc8bb4</anchor>
      <arglist>(std::ostream &amp;ioOut) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromStream</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>a29412f6ea2092b733a8693293ff31fb5</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>toString</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>ae7d0a7973ef34e796a683fdedf5bc2c1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describeKey</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>a5843baa5457961547bfd6ea295b6fe27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>aadc8ea79a0580acbde17376d941b1b31</anchor>
      <arglist>(Archive &amp;ar, const unsigned int iFileVersion)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ReachableUniverse</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>ae862974df52a1b74d8d1c435c08aa952</anchor>
      <arglist>(const Key_T &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~ReachableUniverse</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>a8b86b2933b094e371f0fecb60732e407</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Key_T</type>
      <name>_key</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>ae328f8e818117bca6b1004a19c7ca21d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>stdair::BomAbstract *</type>
      <name>_parent</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>a57fda4a4a4ba3c737f6fc45d0120a047</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>stdair::HolderMap_T</type>
      <name>_holderMap</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>a10edf9cffce7d31cb9c92d3678baada4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SegmentPathPeriodListList_T</type>
      <name>_segmentPathPeriodListList</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>aeb57010c869dadf68039ee0cfe5c3488</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>stdair::FacBom</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>aa74197ca4ed97e6b76201e64642c33de</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>stdair::FacBomManager</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>ad2d1a9d522e5b94492e414a383f40b57</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SegmentPathGenerator</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>aba7c729570af32b6a87639d4cabe3bf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>boost::serialization::access</name>
      <anchorfile>classAIRTSP_1_1ReachableUniverse.html</anchorfile>
      <anchor>ac98d07dd8f7b70e16ccb9a01abf56b9c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ReachableUniverseKey</name>
    <filename>structAIRTSP_1_1ReachableUniverseKey.html</filename>
    <member kind="function">
      <type></type>
      <name>ReachableUniverseKey</name>
      <anchorfile>structAIRTSP_1_1ReachableUniverseKey.html</anchorfile>
      <anchor>a085db7a84ba34f78d078f9f992a95782</anchor>
      <arglist>(const stdair::AirportCode_T &amp;iOrigin)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReachableUniverseKey</name>
      <anchorfile>structAIRTSP_1_1ReachableUniverseKey.html</anchorfile>
      <anchor>a524761293c86ba861c2e72834ee8f92e</anchor>
      <arglist>(const ReachableUniverseKey &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ReachableUniverseKey</name>
      <anchorfile>structAIRTSP_1_1ReachableUniverseKey.html</anchorfile>
      <anchor>a32e73501b5561d45b1de2c5a7130fb10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const stdair::AirportCode_T &amp;</type>
      <name>getBoardingPoint</name>
      <anchorfile>structAIRTSP_1_1ReachableUniverseKey.html</anchorfile>
      <anchor>a983bd75e9e7b5c8d0fbdcdfac85f64dd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toStream</name>
      <anchorfile>structAIRTSP_1_1ReachableUniverseKey.html</anchorfile>
      <anchor>a5c8837837a58c13dcbb55d436e5c5c7d</anchor>
      <arglist>(std::ostream &amp;ioOut) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromStream</name>
      <anchorfile>structAIRTSP_1_1ReachableUniverseKey.html</anchorfile>
      <anchor>a56d00aa4401f33a9d8f6e6761736a2e0</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>toString</name>
      <anchorfile>structAIRTSP_1_1ReachableUniverseKey.html</anchorfile>
      <anchor>a2dfb23eea87f00fc3a779c9b8fec8de6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchorfile>structAIRTSP_1_1ReachableUniverseKey.html</anchorfile>
      <anchor>a36286b5da0c325d87f2b2b94e944c03c</anchor>
      <arglist>(Archive &amp;ar, const unsigned int iFileVersion)</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>boost::serialization::access</name>
      <anchorfile>structAIRTSP_1_1ReachableUniverseKey.html</anchorfile>
      <anchor>ac98d07dd8f7b70e16ccb9a01abf56b9c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::ScheduleInputFileNotFoundException</name>
    <filename>classAIRTSP_1_1ScheduleInputFileNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>ScheduleInputFileNotFoundException</name>
      <anchorfile>classAIRTSP_1_1ScheduleInputFileNotFoundException.html</anchorfile>
      <anchor>a72e68aff18abb1273d5a813531edfccc</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::ScheduleParser</name>
    <filename>classAIRTSP_1_1ScheduleParser.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>generateInventories</name>
      <anchorfile>classAIRTSP_1_1ScheduleParser.html</anchorfile>
      <anchor>ab17813590a4183a5f9632563520335e2</anchor>
      <arglist>(const stdair::ScheduleFilePath &amp;, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::SearchString_T</name>
    <filename>structairtsp_1_1SearchString__T.html</filename>
    <member kind="function">
      <type></type>
      <name>SearchString_T</name>
      <anchorfile>structairtsp_1_1SearchString__T.html</anchorfile>
      <anchor>a943ef5352fdc26a4b203fb4dc7c99798</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>display</name>
      <anchorfile>structairtsp_1_1SearchString__T.html</anchorfile>
      <anchor>af85522929bd9371c921d457337b6f17a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>PlaceList_T</type>
      <name>_placeList</name>
      <anchorfile>structairtsp_1_1SearchString__T.html</anchorfile>
      <anchor>a1d60ef7c70d6a110d2254615a9aa7475</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DateList_T</type>
      <name>_dateList</name>
      <anchorfile>structairtsp_1_1SearchString__T.html</anchorfile>
      <anchor>a79304a3c4e81c0317b96ef3c8f1e4740</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>AirlineList_T</type>
      <name>_airlineList</name>
      <anchorfile>structairtsp_1_1SearchString__T.html</anchorfile>
      <anchor>af25937b39b081656ab7fd083d1b80400</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>PassengerList_T</type>
      <name>_passengerList</name>
      <anchorfile>structairtsp_1_1SearchString__T.html</anchorfile>
      <anchor>a88bf9912c5518602fca9a1bb838b803d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Place_T</type>
      <name>_tmpPlace</name>
      <anchorfile>structairtsp_1_1SearchString__T.html</anchorfile>
      <anchor>af3ff8fb2f24d2c65cb48719f7e09356f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Date_T</type>
      <name>_tmpDate</name>
      <anchorfile>structairtsp_1_1SearchString__T.html</anchorfile>
      <anchor>a839d2d6490e9d2192227607c46b71d3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Airline_T</type>
      <name>_tmpAirline</name>
      <anchorfile>structairtsp_1_1SearchString__T.html</anchorfile>
      <anchor>a21a258692d6b95a621ee459126b7f935</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Passenger_T</type>
      <name>_tmpPassenger</name>
      <anchorfile>structairtsp_1_1SearchString__T.html</anchorfile>
      <anchor>a643e9b36e5ff52c1edf12e341900a1a4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::SearchStringParser</name>
    <filename>structairtsp_1_1SearchStringParser.html</filename>
    <class kind="struct">airtsp::SearchStringParser::definition</class>
    <member kind="function">
      <type></type>
      <name>SearchStringParser</name>
      <anchorfile>structairtsp_1_1SearchStringParser.html</anchorfile>
      <anchor>a4f97cbd7f032ddcf42b6722eebebabe6</anchor>
      <arglist>(SearchString_T &amp;ioSearchString)</arglist>
    </member>
    <member kind="variable">
      <type>SearchString_T &amp;</type>
      <name>_searchString</name>
      <anchorfile>structairtsp_1_1SearchStringParser.html</anchorfile>
      <anchor>a66d73f26bd42f30abf1d27d45461bfae</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::SegmentCabinStruct</name>
    <filename>structAIRTSP_1_1SegmentCabinStruct.html</filename>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRTSP_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>af7dbaaf378a6acedb5095edc7c7583c8</anchor>
      <arglist>(stdair::SegmentCabin &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRTSP_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>abd331ff46a555fa4ff1e97f6b064657f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>stdair::CabinCode_T</type>
      <name>_cabinCode</name>
      <anchorfile>structAIRTSP_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>a5adca6167ae87ca5a657b218cdc0c3d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ClassList_String_T</type>
      <name>_classes</name>
      <anchorfile>structAIRTSP_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>aaf38dc494500a36ac62e3c5df12d8e54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::FamilyCode_T</type>
      <name>_itFamilyCode</name>
      <anchorfile>structAIRTSP_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>a968d2f6a46972c60703df93af2bac845</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CurveKey_T</type>
      <name>_itFRAT5CurveKey</name>
      <anchorfile>structAIRTSP_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>afd651737cd5358554fd916b2c4f6f6cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CurveKey_T</type>
      <name>_itFFDisutilityCurveKey</name>
      <anchorfile>structAIRTSP_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>acbc8893b6c61a67b95997bee9d5c9adf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FareFamilyStructList_T</type>
      <name>_fareFamilies</name>
      <anchorfile>structAIRTSP_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>a91959d9c998a72064102666c9750b2e6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::SegmentDateNotFoundException</name>
    <filename>classAIRTSP_1_1SegmentDateNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>SegmentDateNotFoundException</name>
      <anchorfile>classAIRTSP_1_1SegmentDateNotFoundException.html</anchorfile>
      <anchor>a93b2a75d215ed4e13720338f2b25516d</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::SegmentPathGenerator</name>
    <filename>classAIRTSP_1_1SegmentPathGenerator.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>createSegmentPathNetwork</name>
      <anchorfile>classAIRTSP_1_1SegmentPathGenerator.html</anchorfile>
      <anchor>a666c9e4ad4acc6f439a32c7b442d6c6e</anchor>
      <arglist>(const stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::SegmentPathPeriod</name>
    <filename>classAIRTSP_1_1SegmentPathPeriod.html</filename>
    <member kind="typedef">
      <type>SegmentPathPeriodKey</type>
      <name>Key_T</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a4e95da4e11f894e73b9e45f280671cc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const Key_T &amp;</type>
      <name>getKey</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a8379338a7c67b043e8c7bb33bd731f69</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::BomAbstract *const</type>
      <name>getParent</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a1f39048d98810751c8228f1149dec71c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::PeriodStruct &amp;</type>
      <name>getDeparturePeriod</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a1156075960437eb48a892b44c86694f3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const DateOffsetList_T &amp;</type>
      <name>getBoardingDateOffsetList</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a1e773078c0eb6a3a17d47237349c41ab</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::NbOfSegments_T</type>
      <name>getNbOfSegments</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>aad473e2cd5c1ce99c05756b73977b8d2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::NbOfAirlines_T &amp;</type>
      <name>getNbOfAirlines</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a6832e531c6e935ad7f1ec6be24bad9ee</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::Duration_T &amp;</type>
      <name>getElapsedTime</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a6fa640d7de20224ca515a4b7183d4ad1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::Duration_T &amp;</type>
      <name>getBoardingTime</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>ab6a59d0382eac3a9181a4908bb8df4ea</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::HolderMap_T &amp;</type>
      <name>getHolderMap</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a552d7099a5d8fb55927f340678910828</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::SegmentPeriod *</type>
      <name>getLastSegmentPeriod</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a2fca0911e2a9b3e8be84c52b8e4c047a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::SegmentPeriod *</type>
      <name>getFirstSegmentPeriod</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a6507c017b9964e2ad939988d083f39f5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::AirportCode_T &amp;</type>
      <name>getDestination</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a26218efa670732716f75549bd83acd1b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Key_T</type>
      <name>connectWithAnotherSegment</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a851ac7777cffebcf0054e46016a43e54</anchor>
      <arglist>(const SegmentPathPeriod &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkCircle</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a081d6a7b062cef2a67af1d8e33c10da3</anchor>
      <arglist>(const stdair::AirportCode_T &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAirlineFlown</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>ab37b4ab4addf5fb7b4b990bdd6719091</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDepartureDateValid</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a912ba95efecc26fd9fcb9669439c0846</anchor>
      <arglist>(const stdair::Date_T &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toStream</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>ac234a3bdbbaa8d6a32e005016ed40108</anchor>
      <arglist>(std::ostream &amp;ioOut) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromStream</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>ac589c0f4bd06d73b034bc92043235ce6</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>toString</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a8382a0c50ef7b8f375901b3d9338a787</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describeKey</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>ae8facea7a5c9d927f573a850eedaa57a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a710a413b631d37ef8d6cb468a1987b68</anchor>
      <arglist>(Archive &amp;ar, const unsigned int iFileVersion)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>SegmentPathPeriod</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>aa2ec59cd481feee8586dc24f2fe810b8</anchor>
      <arglist>(const Key_T &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~SegmentPathPeriod</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>ab7df69267746659c3fdbe86c043c2898</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Key_T</type>
      <name>_key</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>ab25e4f2b380fd2b7055ac589091ec021</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>stdair::BomAbstract *</type>
      <name>_parent</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>ad2ee16dc320e86a44ca7d0c3c6137ee5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>stdair::HolderMap_T</type>
      <name>_holderMap</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>a113a0f9bc84ea6d977361ec88ed31867</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>stdair::FacBom</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>aa74197ca4ed97e6b76201e64642c33de</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>stdair::FacBomManager</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>ad2d1a9d522e5b94492e414a383f40b57</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>boost::serialization::access</name>
      <anchorfile>classAIRTSP_1_1SegmentPathPeriod.html</anchorfile>
      <anchor>ac98d07dd8f7b70e16ccb9a01abf56b9c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::SegmentPathPeriodKey</name>
    <filename>structAIRTSP_1_1SegmentPathPeriodKey.html</filename>
    <member kind="function">
      <type></type>
      <name>SegmentPathPeriodKey</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a8ed11ccb118fce78492037fdabc48ce8</anchor>
      <arglist>(const stdair::PeriodStruct &amp;, const stdair::Duration_T &amp;iBoardingTime, const stdair::Duration_T &amp;iElapsed, const DateOffsetList_T &amp;, const stdair::NbOfAirlines_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SegmentPathPeriodKey</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a63b4c788df21a966d2db6c348368a113</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SegmentPathPeriodKey</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>affdd1860847170958a79f3daa4429106</anchor>
      <arglist>(const SegmentPathPeriodKey &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SegmentPathPeriodKey</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a1a0964138ab1bf89b7d5798b7b1ab565</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const stdair::PeriodStruct &amp;</type>
      <name>getPeriod</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a6ab39b45b09b1a6520a4519efd1842d2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const DateOffsetList_T &amp;</type>
      <name>getBoardingDateOffsetList</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>ab98ad615a493c461bcaab2c1482f6410</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::NbOfSegments_T</type>
      <name>getNbOfSegments</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a0f8f9674504b1816d9e24610e8e502f6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::NbOfAirlines_T &amp;</type>
      <name>getNbOfAirlines</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>afbf897ac5b7deafafa3fcc4d6f69d516</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::Duration_T &amp;</type>
      <name>getElapsedTime</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>ae5c0daccc0dab1027ff5907616ddcbb1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::Duration_T &amp;</type>
      <name>getBoardingTime</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>adeda0978805858fd08c5e2764ee927e8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPeriod</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a3c191352d4e12e8875b5d5dd246ffd53</anchor>
      <arglist>(const stdair::PeriodStruct &amp;iPeriod)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBoardingDateOffsetList</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>ac0deb6bc1b54d488229aac7e411a6a83</anchor>
      <arglist>(const DateOffsetList_T &amp;iList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNbOfAirlines</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a115809dd8c7f1ae460b26bf9a81a5285</anchor>
      <arglist>(const stdair::NbOfAirlines_T &amp;iNbOfAirlines)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setElapsedTime</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a05064b83e324ed73a9386bf213c3a44f</anchor>
      <arglist>(const stdair::Duration_T &amp;iElapsed)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBoardingTime</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a58b13240be39a9517375a323862b5673</anchor>
      <arglist>(const stdair::Duration_T &amp;iBoardingTime)</arglist>
    </member>
    <member kind="function">
      <type>const bool</type>
      <name>isValid</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>acd81c69da2975913571868b9eba9be71</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toStream</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>adf0f2881d9a914f2efc8a4c5bf8b189b</anchor>
      <arglist>(std::ostream &amp;ioOut) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromStream</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a3f0c98f88d8e7bdfca1119743c7f4594</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>toString</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>aaf2f59d30acac7ca7d3f9d0aeb844d5c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>a134b17d3dfcaf22127a41aa6735ec48f</anchor>
      <arglist>(Archive &amp;ar, const unsigned int iFileVersion)</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>boost::serialization::access</name>
      <anchorfile>structAIRTSP_1_1SegmentPathPeriodKey.html</anchorfile>
      <anchor>ac98d07dd8f7b70e16ccb9a01abf56b9c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::SegmentPathProvider</name>
    <filename>classAIRTSP_1_1SegmentPathProvider.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>AIRTSP_Service</name>
      <anchorfile>classAIRTSP_1_1SegmentPathProvider.html</anchorfile>
      <anchor>a24dc2a4f7d30ee049dd8256883c9ad15</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::SegmentPeriodHelper</name>
    <filename>classAIRTSP_1_1SegmentPeriodHelper.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>fill</name>
      <anchorfile>classAIRTSP_1_1SegmentPeriodHelper.html</anchorfile>
      <anchor>a1b5974530c0ad42c9d021622997df4d6</anchor>
      <arglist>(stdair::SegmentPeriod &amp;, const SegmentStruct &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>fill</name>
      <anchorfile>classAIRTSP_1_1SegmentPeriodHelper.html</anchorfile>
      <anchor>adf66a110e2cc242c1174f54e425a9a92</anchor>
      <arglist>(stdair::SegmentPeriod &amp;, const LegStructList_T &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::SegmentStruct</name>
    <filename>structAIRTSP_1_1SegmentStruct.html</filename>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRTSP_1_1SegmentStruct.html</anchorfile>
      <anchor>a8c8d2b6472ba12cc6a518fe19b1f71f3</anchor>
      <arglist>(stdair::SegmentDate &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRTSP_1_1SegmentStruct.html</anchorfile>
      <anchor>a2e3f1aad832ec28ec089f27244406eee</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_boardingPoint</name>
      <anchorfile>structAIRTSP_1_1SegmentStruct.html</anchorfile>
      <anchor>afe0bd76e85c470d483e930a0e44699eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_boardingDate</name>
      <anchorfile>structAIRTSP_1_1SegmentStruct.html</anchorfile>
      <anchor>a1513c906b0285f82c3f2e70a9b5dfee3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_boardingTime</name>
      <anchorfile>structAIRTSP_1_1SegmentStruct.html</anchorfile>
      <anchor>a94d7694dd8c4296134fed086d7d12d87</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_offPoint</name>
      <anchorfile>structAIRTSP_1_1SegmentStruct.html</anchorfile>
      <anchor>a6a0bfe3d22f280d0c5c25adccce5f7ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_offDate</name>
      <anchorfile>structAIRTSP_1_1SegmentStruct.html</anchorfile>
      <anchor>ab23b309e3b1ddcb78b307e86401b6ff7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_offTime</name>
      <anchorfile>structAIRTSP_1_1SegmentStruct.html</anchorfile>
      <anchor>aca315f132cebbf512660a4df5356faa0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_elapsed</name>
      <anchorfile>structAIRTSP_1_1SegmentStruct.html</anchorfile>
      <anchor>a355646e73eb7416c74886784999550e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentCabinStructList_T</type>
      <name>_cabinList</name>
      <anchorfile>structAIRTSP_1_1SegmentStruct.html</anchorfile>
      <anchor>a9c90c73c2b4cf2eda52882cf76c578f4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::ServiceAbstract</name>
    <filename>classAIRTSP_1_1ServiceAbstract.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ServiceAbstract</name>
      <anchorfile>classAIRTSP_1_1ServiceAbstract.html</anchorfile>
      <anchor>a8953fea45566db619602c7a6866ba2e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>toStream</name>
      <anchorfile>classAIRTSP_1_1ServiceAbstract.html</anchorfile>
      <anchor>a96eb01bdbad79570c09dfb843fd90811</anchor>
      <arglist>(std::ostream &amp;ioOut) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromStream</name>
      <anchorfile>classAIRTSP_1_1ServiceAbstract.html</anchorfile>
      <anchor>af9650cc2bb5df1252d0c289dd9ced80e</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ServiceAbstract</name>
      <anchorfile>classAIRTSP_1_1ServiceAbstract.html</anchorfile>
      <anchor>a2c665ef75457c45dc2921e0297474ebc</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::Simulator</name>
    <filename>classAIRTSP_1_1Simulator.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>simulate</name>
      <anchorfile>classAIRTSP_1_1Simulator.html</anchorfile>
      <anchor>a0c66bfbc977b474e989004f1aba2e5c1</anchor>
      <arglist>(stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::store_adult_passenger_type</name>
    <filename>structairtsp_1_1store__adult__passenger__type.html</filename>
    <member kind="function">
      <type></type>
      <name>store_adult_passenger_type</name>
      <anchorfile>structairtsp_1_1store__adult__passenger__type.html</anchorfile>
      <anchor>a98837ce021fc111900bcd02a6e08ed34</anchor>
      <arglist>(SearchString_T &amp;ioSearchString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structairtsp_1_1store__adult__passenger__type.html</anchorfile>
      <anchor>ad3fbf99b21e2512046472d12bca4aa32</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>SearchString_T &amp;</type>
      <name>_searchString</name>
      <anchorfile>structairtsp_1_1store__adult__passenger__type.html</anchorfile>
      <anchor>a72096d7afe0f48ae7d932270c9b342d3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::store_airline_code</name>
    <filename>structairtsp_1_1store__airline__code.html</filename>
    <member kind="function">
      <type></type>
      <name>store_airline_code</name>
      <anchorfile>structairtsp_1_1store__airline__code.html</anchorfile>
      <anchor>ac72b760c5945e0666465258491e2c4e7</anchor>
      <arglist>(SearchString_T &amp;ioSearchString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structairtsp_1_1store__airline__code.html</anchorfile>
      <anchor>a52f2f884ed652ee59e23ae6b34fea8c3</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>SearchString_T &amp;</type>
      <name>_searchString</name>
      <anchorfile>structairtsp_1_1store__airline__code.html</anchorfile>
      <anchor>af973be4cb9b08a88bf47e995086920eb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::store_airline_name</name>
    <filename>structairtsp_1_1store__airline__name.html</filename>
    <member kind="function">
      <type></type>
      <name>store_airline_name</name>
      <anchorfile>structairtsp_1_1store__airline__name.html</anchorfile>
      <anchor>a7afb363cea5f87e2d026ec916620ff1a</anchor>
      <arglist>(SearchString_T &amp;ioSearchString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structairtsp_1_1store__airline__name.html</anchorfile>
      <anchor>af6a9f4d94cc07b56ff1775c28d62c90a</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>SearchString_T &amp;</type>
      <name>_searchString</name>
      <anchorfile>structairtsp_1_1store__airline__name.html</anchorfile>
      <anchor>a6b1c662dfc254f661993d55c3d989833</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::store_airline_sign</name>
    <filename>structairtsp_1_1store__airline__sign.html</filename>
    <member kind="function">
      <type></type>
      <name>store_airline_sign</name>
      <anchorfile>structairtsp_1_1store__airline__sign.html</anchorfile>
      <anchor>a7e6ae3ca3033182dcde1b768a3871e13</anchor>
      <arglist>(SearchString_T &amp;ioSearchString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structairtsp_1_1store__airline__sign.html</anchorfile>
      <anchor>a25da0605731d525a7398b83c43f5c26e</anchor>
      <arglist>(bool iAirlineSign) const</arglist>
    </member>
    <member kind="variable">
      <type>SearchString_T &amp;</type>
      <name>_searchString</name>
      <anchorfile>structairtsp_1_1store__airline__sign.html</anchorfile>
      <anchor>a47dfbcda6e52f3e54d3191ce8a4bfd67</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::store_child_passenger_type</name>
    <filename>structairtsp_1_1store__child__passenger__type.html</filename>
    <member kind="function">
      <type></type>
      <name>store_child_passenger_type</name>
      <anchorfile>structairtsp_1_1store__child__passenger__type.html</anchorfile>
      <anchor>ab5143945146c58af84a4cde0c216ddff</anchor>
      <arglist>(SearchString_T &amp;ioSearchString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structairtsp_1_1store__child__passenger__type.html</anchorfile>
      <anchor>adee94095483901e738fb844bd20b5edf</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>SearchString_T &amp;</type>
      <name>_searchString</name>
      <anchorfile>structairtsp_1_1store__child__passenger__type.html</anchorfile>
      <anchor>ad7b7959e7c31362700a733e89ae77e9b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::store_date</name>
    <filename>structairtsp_1_1store__date.html</filename>
    <member kind="function">
      <type></type>
      <name>store_date</name>
      <anchorfile>structairtsp_1_1store__date.html</anchorfile>
      <anchor>a21e878ca8e10b5f248e393b94eb14bf6</anchor>
      <arglist>(SearchString_T &amp;ioSearchString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structairtsp_1_1store__date.html</anchorfile>
      <anchor>a3adaa57604937579b69a303c7dcce167</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>SearchString_T &amp;</type>
      <name>_searchString</name>
      <anchorfile>structairtsp_1_1store__date.html</anchorfile>
      <anchor>abc0a8c2116d5f8939556768aff4ab20a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::store_passenger_number</name>
    <filename>structairtsp_1_1store__passenger__number.html</filename>
    <member kind="function">
      <type></type>
      <name>store_passenger_number</name>
      <anchorfile>structairtsp_1_1store__passenger__number.html</anchorfile>
      <anchor>a4554b91a5b2a8dad5d27e6cc6587102b</anchor>
      <arglist>(SearchString_T &amp;ioSearchString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structairtsp_1_1store__passenger__number.html</anchorfile>
      <anchor>a9482287c8d56549feb8c9cee1b51d2d4</anchor>
      <arglist>(unsigned int iNumber) const</arglist>
    </member>
    <member kind="variable">
      <type>SearchString_T &amp;</type>
      <name>_searchString</name>
      <anchorfile>structairtsp_1_1store__passenger__number.html</anchorfile>
      <anchor>aaf3133bfac7baae92e9e341eccef0ca3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::store_pet_passenger_type</name>
    <filename>structairtsp_1_1store__pet__passenger__type.html</filename>
    <member kind="function">
      <type></type>
      <name>store_pet_passenger_type</name>
      <anchorfile>structairtsp_1_1store__pet__passenger__type.html</anchorfile>
      <anchor>a08642ec4997923e051d506a4c2cb2283</anchor>
      <arglist>(SearchString_T &amp;ioSearchString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structairtsp_1_1store__pet__passenger__type.html</anchorfile>
      <anchor>ac17386ede42f5dc4d916313a96aacec4</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>SearchString_T &amp;</type>
      <name>_searchString</name>
      <anchorfile>structairtsp_1_1store__pet__passenger__type.html</anchorfile>
      <anchor>a6e048b5a1cdad6781d82490c72b35790</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>airtsp::store_place_element</name>
    <filename>structairtsp_1_1store__place__element.html</filename>
    <member kind="function">
      <type></type>
      <name>store_place_element</name>
      <anchorfile>structairtsp_1_1store__place__element.html</anchorfile>
      <anchor>a848041d38792be14af3726ab28807669</anchor>
      <arglist>(SearchString_T &amp;ioSearchString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structairtsp_1_1store__place__element.html</anchorfile>
      <anchor>a3d7d9a8eb2663f43732569edf41efa81</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>SearchString_T &amp;</type>
      <name>_searchString</name>
      <anchorfile>structairtsp_1_1store__place__element.html</anchorfile>
      <anchor>a56f08cff9eab166c49aff21a6173ab77</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::storeAirlineCode</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1storeAirlineCode.html</filename>
    <base>AIRTSP::OnDParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAirlineCode</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>ac080ece689265bb125e6d991f51fb870</anchor>
      <arglist>(OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>af4363fb261767e7f5cd857441d51810d</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a264ecfae6b4222a814422e88a701fb28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeAirlineCode</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeAirlineCode.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAirlineCode</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>a3e11dfcab59ae281f1fc66c03243b7b2</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>a8555fdaf27779ed949407eb1b30ceb8a</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeBoardingTime</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeBoardingTime.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeBoardingTime</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeBoardingTime.html</anchorfile>
      <anchor>aabe009beafcdaaba5bda4d26f312e2e2</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeBoardingTime.html</anchorfile>
      <anchor>a5b75d9f359303e1df22090512d6302f8</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeCapacity</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeCapacity.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeCapacity</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeCapacity.html</anchorfile>
      <anchor>acd82fb76e50dcbabe310e0cb2d9cc286</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeCapacity.html</anchorfile>
      <anchor>a11a1215caf844fe217fa4f2b2fb7c1a1</anchor>
      <arglist>(double iReal) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::storeClassCode</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1storeClassCode.html</filename>
    <base>AIRTSP::OnDParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClassCode</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeClassCode.html</anchorfile>
      <anchor>a801e5beffaf4a3cd9be60afb150cf6fa</anchor>
      <arglist>(OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeClassCode.html</anchorfile>
      <anchor>aa16934409a2b0f29bb99a8cecf7ed79a</anchor>
      <arglist>(char iChar) const</arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a264ecfae6b4222a814422e88a701fb28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeClasses</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeClasses.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClasses</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeClasses.html</anchorfile>
      <anchor>a694633c58a9d3d46cf3bfc364fc33c7e</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeClasses.html</anchorfile>
      <anchor>ade26bd97c9c7741a7475257dd0dc1af7</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::storeDateRangeEnd</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1storeDateRangeEnd.html</filename>
    <base>AIRTSP::OnDParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeEnd</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>a96f2f51e5ef103edc301e4f05ac97d96</anchor>
      <arglist>(OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>aff4fbbf996e590f0ceb6b3d8f87907e8</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a264ecfae6b4222a814422e88a701fb28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeDateRangeEnd</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeDateRangeEnd.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeEnd</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>a4900a3c65523cd49543a16cd39126d45</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>a2320efbaa86479b5df3c020c5e532676</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::storeDateRangeStart</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1storeDateRangeStart.html</filename>
    <base>AIRTSP::OnDParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeStart</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>ae4466c5ec51df2cc6e2e88d1b1c67190</anchor>
      <arglist>(OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>aa6c8973cecd1592371c822ccdf8796f1</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a264ecfae6b4222a814422e88a701fb28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeDateRangeStart</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeDateRangeStart.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeStart</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>aae48844d133f248dcee4bbfc4568c9ff</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>a504739230fc970f6eed7592a8ad3b9c1</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::storeDestination</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1storeDestination.html</filename>
    <base>AIRTSP::OnDParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDestination</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>a9dac24414a4770ef453053afabd3d195</anchor>
      <arglist>(OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>a729b6d180d0b6743cc2f755eccada3db</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a264ecfae6b4222a814422e88a701fb28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeDow</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeDow.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDow</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeDow.html</anchorfile>
      <anchor>ab8086b38433a089c5d8ebbf29ae78877</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeDow.html</anchorfile>
      <anchor>a1ae154d1f8d2ad261c660e6990e3b561</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeElapsedTime</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeElapsedTime.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeElapsedTime</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeElapsedTime.html</anchorfile>
      <anchor>a5ee8f8bea8e77001f203d4eb8fb561a9</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeElapsedTime.html</anchorfile>
      <anchor>ab1ff211b15f761e5d60bac2524379896</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::storeEndRangeTime</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1storeEndRangeTime.html</filename>
    <base>AIRTSP::OnDParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeEndRangeTime</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>aee5de5f15f2bc8fd23186d2e2e2699aa</anchor>
      <arglist>(OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>a647a031c4a89356a7045799c9d905cfd</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a264ecfae6b4222a814422e88a701fb28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeFamilyCode</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeFamilyCode.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFamilyCode</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeFamilyCode.html</anchorfile>
      <anchor>a9a3715b42cb8137568bc16066dda6f58</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeFamilyCode.html</anchorfile>
      <anchor>ab9d36a3da3b2aec60517199bd6fb21b0</anchor>
      <arglist>(int iCode) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeFClasses</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeFClasses.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFClasses</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeFClasses.html</anchorfile>
      <anchor>a26148b405f56bd76a75517d7846f045f</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeFClasses.html</anchorfile>
      <anchor>a53502ab07e1e407e72d73ff4cfe42f6c</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeFFDisutilityCurveKey</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeFFDisutilityCurveKey.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFFDisutilityCurveKey</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeFFDisutilityCurveKey.html</anchorfile>
      <anchor>ae73ab56e78ab7a9fbcc79ff629c78644</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeFFDisutilityCurveKey.html</anchorfile>
      <anchor>abddd4a61295a8e066ff788c544b9d23b</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeFlightNumber</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeFlightNumber.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFlightNumber</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeFlightNumber.html</anchorfile>
      <anchor>a994eb264c601a12e1e8ec9578d844936</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeFlightNumber.html</anchorfile>
      <anchor>adee41777d3db02fbde66a2f12bb8a364</anchor>
      <arglist>(unsigned int iNumber) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeFRAT5CurveKey</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeFRAT5CurveKey.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFRAT5CurveKey</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeFRAT5CurveKey.html</anchorfile>
      <anchor>a112a6f2e450dbc86afaaf7469b1df7bc</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeFRAT5CurveKey.html</anchorfile>
      <anchor>aee85e5b1ed1e680b8d8f0c7e800a4ece</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeLegBoardingPoint</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeLegBoardingPoint.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeLegBoardingPoint</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeLegBoardingPoint.html</anchorfile>
      <anchor>aaedd652c9c5ba5a3394cbafb3f478006</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeLegBoardingPoint.html</anchorfile>
      <anchor>a51969b2d08b608ce6ed4f0c3b0d05910</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeLegCabinCode</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeLegCabinCode.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeLegCabinCode</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeLegCabinCode.html</anchorfile>
      <anchor>a62cb09ff7a529e98003b12a14a18a6d2</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeLegCabinCode.html</anchorfile>
      <anchor>ae82cdde6ae7dd88a70879610731670d8</anchor>
      <arglist>(char iChar) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeLegOffPoint</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeLegOffPoint.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeLegOffPoint</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeLegOffPoint.html</anchorfile>
      <anchor>a9c7966b6b3505eed859decdd5018212a</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeLegOffPoint.html</anchorfile>
      <anchor>a46a697efb766eb3ccf45357c8b21d158</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeOffTime</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeOffTime.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOffTime</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeOffTime.html</anchorfile>
      <anchor>a746f11ccb5f182d96ecd7ab66968d207</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeOffTime.html</anchorfile>
      <anchor>aa3ee8770007b65dd11b506c427e035c3</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeOperatingAirlineCode</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeOperatingAirlineCode.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOperatingAirlineCode</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeOperatingAirlineCode.html</anchorfile>
      <anchor>a85923fdb7585ea57b66367675378a21d</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeOperatingAirlineCode.html</anchorfile>
      <anchor>ae1cd0161b4b9b85d26201b2e41afced4</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeOperatingFlightNumber</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeOperatingFlightNumber.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOperatingFlightNumber</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeOperatingFlightNumber.html</anchorfile>
      <anchor>a2115e16ec7d86440f3cff3bfb561041d</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeOperatingFlightNumber.html</anchorfile>
      <anchor>a06ab32beec0d0b797a72b5825084721f</anchor>
      <arglist>(unsigned int iNumber) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::storeOrigin</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1storeOrigin.html</filename>
    <base>AIRTSP::OnDParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOrigin</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>af0010ffef5ab0092e934ea64748694a7</anchor>
      <arglist>(OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>aa5db565ef86ff3e7e5a470e33ad2fdf4</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a264ecfae6b4222a814422e88a701fb28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeSegmentBoardingPoint</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentBoardingPoint.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentBoardingPoint</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentBoardingPoint.html</anchorfile>
      <anchor>accba2db1a1f81728ff10fab4b8d3a427</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentBoardingPoint.html</anchorfile>
      <anchor>a683a67e21c45d20a28c4316eb4c61ad1</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeSegmentCabinCode</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentCabinCode.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentCabinCode</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentCabinCode.html</anchorfile>
      <anchor>a7c842e6e39cc08e648dda72ad6b7c478</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentCabinCode.html</anchorfile>
      <anchor>a9f00762864ed6fa7222e476b154546a9</anchor>
      <arglist>(char iChar) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeSegmentOffPoint</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentOffPoint.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentOffPoint</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentOffPoint.html</anchorfile>
      <anchor>aa14d7a9fbc31db41159f65f99c573557</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentOffPoint.html</anchorfile>
      <anchor>a66e000aa97862fc46d1228674d2a286f</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::ScheduleParserHelper::storeSegmentSpecificity</name>
    <filename>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentSpecificity.html</filename>
    <base>AIRTSP::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentSpecificity</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentSpecificity.html</anchorfile>
      <anchor>a45001adba159bcc0e6493f24e40e6d85</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1storeSegmentSpecificity.html</anchorfile>
      <anchor>ae665a451fef12fcb638c7f082f7139b5</anchor>
      <arglist>(char iChar) const</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRTSP_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a8c7ec55c054e870d6453d89163408f06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRTSP::OnDParserHelper::storeStartRangeTime</name>
    <filename>structAIRTSP_1_1OnDParserHelper_1_1storeStartRangeTime.html</filename>
    <base>AIRTSP::OnDParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeStartRangeTime</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>a066d95d7c45f10d3c7b39c99258c1f14</anchor>
      <arglist>(OnDPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>a1ad3644cffd2a2aadb2b0b80f2c23845</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const</arglist>
    </member>
    <member kind="variable">
      <type>OnDPeriodStruct &amp;</type>
      <name>_onDPeriod</name>
      <anchorfile>structAIRTSP_1_1OnDParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a264ecfae6b4222a814422e88a701fb28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRTSP::TravelSolutionParser</name>
    <filename>classAIRTSP_1_1TravelSolutionParser.html</filename>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>parseInputFileAndBuildBom</name>
      <anchorfile>classAIRTSP_1_1TravelSolutionParser.html</anchorfile>
      <anchor>afc735f0f39193cbd4ccea8be6d15a77a</anchor>
      <arglist>(const stdair::Filename_T &amp;)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>AIRTSP</name>
    <filename>namespaceAIRTSP.html</filename>
    <namespace>AIRTSP::OnDParserHelper</namespace>
    <namespace>AIRTSP::ScheduleParserHelper</namespace>
    <class kind="class">AIRTSP::AIRTSP_Service</class>
    <class kind="class">AIRTSP::AIRTSP_ServiceContext</class>
    <class kind="class">AIRTSP::BomDisplay</class>
    <class kind="class">AIRTSP::FacAIRTSPServiceContext</class>
    <class kind="class">AIRTSP::FacServiceAbstract</class>
    <class kind="struct">AIRTSP::FareFamilyStruct</class>
    <class kind="struct">AIRTSP::FlagSaver</class>
    <class kind="class">AIRTSP::FlightPeriodFileParser</class>
    <class kind="struct">AIRTSP::FlightPeriodStruct</class>
    <class kind="class">AIRTSP::InventoryGenerator</class>
    <class kind="struct">AIRTSP::LegCabinStruct</class>
    <class kind="struct">AIRTSP::LegStruct</class>
    <class kind="class">AIRTSP::OnDInputFileNotFoundException</class>
    <class kind="class">AIRTSP::OnDParser</class>
    <class kind="class">AIRTSP::OnDPeriodFileParser</class>
    <class kind="class">AIRTSP::OnDPeriodGenerator</class>
    <class kind="struct">AIRTSP::OnDPeriodStruct</class>
    <class kind="class">AIRTSP::OriginDestinationSet</class>
    <class kind="struct">AIRTSP::OriginDestinationSetKey</class>
    <class kind="class">AIRTSP::ReachableUniverse</class>
    <class kind="struct">AIRTSP::ReachableUniverseKey</class>
    <class kind="class">AIRTSP::ScheduleInputFileNotFoundException</class>
    <class kind="class">AIRTSP::ScheduleParser</class>
    <class kind="struct">AIRTSP::SegmentCabinStruct</class>
    <class kind="class">AIRTSP::SegmentDateNotFoundException</class>
    <class kind="class">AIRTSP::SegmentPathGenerator</class>
    <class kind="class">AIRTSP::SegmentPathPeriod</class>
    <class kind="struct">AIRTSP::SegmentPathPeriodKey</class>
    <class kind="class">AIRTSP::SegmentPathProvider</class>
    <class kind="class">AIRTSP::SegmentPeriodHelper</class>
    <class kind="struct">AIRTSP::SegmentStruct</class>
    <class kind="class">AIRTSP::ServiceAbstract</class>
    <class kind="class">AIRTSP::Simulator</class>
    <class kind="class">AIRTSP::TravelSolutionParser</class>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; AIRTSP_Service &gt;</type>
      <name>AIRTSP_ServicePtr_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ad476a186e030a27394f4cf141c1ad0df</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>char</type>
      <name>char_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ac2e4b0618d913be8e5b0c2e40096b0bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::file_iterator&lt; char_t &gt;</type>
      <name>iterator_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ac84cd07fe9ed975de59dc4d9e7c79aa1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::scanner&lt; iterator_t &gt;</type>
      <name>scanner_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a5763c255664f65432d556a0eaeaa19a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::rule&lt; scanner_t &gt;</type>
      <name>rule_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a4a807ff1581aca2de9a1308df54c9511</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::int_parser&lt; unsigned int, 10, 1, 1 &gt;</type>
      <name>int1_p_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ac7b584ff449c7b95946f59718446b8ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 2, 2 &gt;</type>
      <name>uint2_p_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ae23ee1d00010093e6ae7493706e9e14d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 4, 4 &gt;</type>
      <name>uint4_p_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>aa38442179988a35a2330687656d3d42e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 1, 4 &gt;</type>
      <name>uint1_4_p_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a53844594f6905af2d075cc1a1767ca97</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::chset&lt; char_t &gt;</type>
      <name>chset_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ae87bce5624cec95e433a2e8876802a07</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::impl::loop_traits&lt; chset_t, unsignedint, unsignedint &gt;::type</type>
      <name>repeat_p_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a6592c1dbed2ff99c77e7e099581f35f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint2_p_t, unsigned int &gt;</type>
      <name>bounded2_p_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>aef59fe6450811985bfc249e1ff66460c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint4_p_t, unsigned int &gt;</type>
      <name>bounded4_p_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a72762e913df13098fb301a1299972472</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint1_4_p_t, unsigned int &gt;</type>
      <name>bounded1_4_p_t</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a4b77fccabdc2e157cf882089a9558f42</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::set&lt; stdair::AirportCode_T &gt;</type>
      <name>AirportList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a0ca7d90673cbab0fa93e5ffd2d999dc5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; stdair::AirportCode_T &gt;</type>
      <name>AirportOrderedList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>aec3249d3b11142eb6d6ce50a8c79b3c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; FareFamilyStruct &gt;</type>
      <name>FareFamilyStructList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a797849867dc297d8a1d35ff80d7e530b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; LegCabinStruct &gt;</type>
      <name>LegCabinStructList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a66d2266202b092452febd7375a8c45d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; LegStruct &gt;</type>
      <name>LegStructList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a4e7267553593442acfcb5ecd53afe11c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::list&lt; OriginDestinationSet * &gt;</type>
      <name>OriginDestinationSetList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a8e6bfdab5ac87ab0ffff4ac08e3694e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::map&lt; const stdair::MapKey_T, OriginDestinationSet * &gt;</type>
      <name>OriginDestinationSetMap_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a95dfbf49f3d437e1bf6fcb697b009792</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::list&lt; ReachableUniverse * &gt;</type>
      <name>ReachableUniverseList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ad2eb333fa40538aba1a28858aff27e02</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::map&lt; const stdair::MapKey_T, ReachableUniverse * &gt;</type>
      <name>ReachableUniverseMap_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ac93166fc8be7a99c8dcac0bd052ad855</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; SegmentCabinStruct &gt;</type>
      <name>SegmentCabinStructList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ac5b2daf46a0a658cdc46630c912952f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::list&lt; SegmentPathPeriod * &gt;</type>
      <name>SegmentPathPeriodList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ad882f10d885b4c5ed3d45fabdc6e345a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::multimap&lt; const stdair::MapKey_T, SegmentPathPeriod * &gt;</type>
      <name>SegmentPathPeriodMultimap_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>aff808f9eb89d8dc0b1d564bf31811062</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; const SegmentPathPeriod * &gt;</type>
      <name>SegmentPathPeriodLightList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a9848be751443c9a7f0cefa72d564f82e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; SegmentPathPeriodLightList_T &gt;</type>
      <name>SegmentPathPeriodListList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>abd7900f07928da5cbf98fd17bc158f0a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; stdair::DateOffset_T &gt;</type>
      <name>DateOffsetList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a6159b60fd46189219fee7678fa040e79</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; SegmentStruct &gt;</type>
      <name>SegmentStructList_T</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a34df8046d61e8d5ac14d02ce7e1dded7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const stdair::Duration_T</type>
      <name>MINIMUM_TIME_BETWEEN_REQUEST_AND_DEPARTURE</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>aa82f83c29e20cd9efae6984bdd88f992</anchor>
      <arglist>(4, 0, 0)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>OriginDestinationSet::serialize&lt; ba::text_oarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a7eb135eef3a2656558e7b97947e4e198</anchor>
      <arglist>(ba::text_oarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>OriginDestinationSet::serialize&lt; ba::text_iarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a0935584a91f8fec8fe85b08729674e41</anchor>
      <arglist>(ba::text_iarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>OriginDestinationSetKey::serialize&lt; ba::text_oarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a507629a0621c3b01fbee719674acff94</anchor>
      <arglist>(ba::text_oarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>OriginDestinationSetKey::serialize&lt; ba::text_iarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>acbd34059e1f5072eccfc69f58a4583bb</anchor>
      <arglist>(ba::text_iarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>ReachableUniverse::serialize&lt; ba::text_oarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>aa1f9e99d00c1ad035356577590c8908c</anchor>
      <arglist>(ba::text_oarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>ReachableUniverse::serialize&lt; ba::text_iarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a286e9311993ad4c58cc45e6b542c8602</anchor>
      <arglist>(ba::text_iarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>ReachableUniverseKey::serialize&lt; ba::text_oarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>af4bcfee73f6a62ed74d644e45829dffc</anchor>
      <arglist>(ba::text_oarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>ReachableUniverseKey::serialize&lt; ba::text_iarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>aff7decb7da8b3e4cf5a28e3fb19e9bf3</anchor>
      <arglist>(ba::text_iarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>SegmentPathPeriod::serialize&lt; ba::text_oarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a5da32bcc1411d3e6593df1bc26e9bcd4</anchor>
      <arglist>(ba::text_oarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>SegmentPathPeriod::serialize&lt; ba::text_iarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a190c8d6c7c89d34c7251dcd445c92fe6</anchor>
      <arglist>(ba::text_iarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>SegmentPathPeriodKey::serialize&lt; ba::text_oarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a127216ac62bdf4e70648054d8b19cfa8</anchor>
      <arglist>(ba::text_oarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="function">
      <type>template void</type>
      <name>SegmentPathPeriodKey::serialize&lt; ba::text_iarchive &gt;</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a82094206a5695f4feaf89131d83d64c8</anchor>
      <arglist>(ba::text_iarchive &amp;, unsigned int)</arglist>
    </member>
    <member kind="variable">
      <type>const int</type>
      <name>DEFAULT_NUMBER_OF_DRAWS_FOR_MC_SIMULATION</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>ab048b10bef19e049a467b86e43c65e2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const stdair::Duration_T</type>
      <name>MINIMUM_TIME_BETWEEN_REQUEST_AND_DEPARTURE</name>
      <anchorfile>namespaceAIRTSP.html</anchorfile>
      <anchor>a514a6be6d2ea50f887217dd0d12fdd80</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>airtsp</name>
    <filename>namespaceairtsp.html</filename>
    <class kind="struct">airtsp::Airline_T</class>
    <class kind="struct">airtsp::Date_T</class>
    <class kind="struct">airtsp::Passenger_T</class>
    <class kind="struct">airtsp::Place_T</class>
    <class kind="struct">airtsp::SearchString_T</class>
    <class kind="struct">airtsp::SearchStringParser</class>
    <class kind="struct">airtsp::store_adult_passenger_type</class>
    <class kind="struct">airtsp::store_airline_code</class>
    <class kind="struct">airtsp::store_airline_name</class>
    <class kind="struct">airtsp::store_airline_sign</class>
    <class kind="struct">airtsp::store_child_passenger_type</class>
    <class kind="struct">airtsp::store_date</class>
    <class kind="struct">airtsp::store_passenger_number</class>
    <class kind="struct">airtsp::store_pet_passenger_type</class>
    <class kind="struct">airtsp::store_place_element</class>
    <member kind="typedef">
      <type>std::vector&lt; Place_T &gt;</type>
      <name>PlaceList_T</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>af01d4ea53520aae2d5270c98421bf1ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; Date_T &gt;</type>
      <name>DateList_T</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>a9871924c66663fba0bca24d1aec22def</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; Airline_T &gt;</type>
      <name>AirlineList_T</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>a10b847ef4588f60ac9d9463de1534d32</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; Passenger_T &gt;</type>
      <name>PassengerList_T</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>aebc7626628995677501f74fcd0b3a6b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>SearchString_T</type>
      <name>parseBookingRequest</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>acacdd4b20acb4e55926b24c62b277ba6</anchor>
      <arglist>(const std::string &amp;iSearchString)</arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::int_parser&lt; unsigned int, 10, 1, 1 &gt;</type>
      <name>int1_p</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>afb8c0166e5227068131faa170ddd3558</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 1, 1 &gt;</type>
      <name>uint1_p</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>a0cc9678827ffa0d4b10ba74f96d783f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 1, 2 &gt;</type>
      <name>uint1_2_p</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>a5416c44212824db8f54ca4d776d5e395</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::uint_parser&lt; int, 10, 2, 2 &gt;</type>
      <name>uint2_p</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>a9e8d5fb26cba024cb059e9be593d5f69</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::uint_parser&lt; int, 10, 2, 4 &gt;</type>
      <name>uint2_4_p</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>a0c2838b8d0427caf5e547f08c61c6847</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::uint_parser&lt; int, 10, 4, 4 &gt;</type>
      <name>uint4_p</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>a99e519c325bcba3c0cb7f867f696c5b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::uint_parser&lt; int, 10, 1, 4 &gt;</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceairtsp.html</anchorfile>
      <anchor>a74ff246d547d7df619819146bd877ce2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>AIRTSP::OnDParserHelper</name>
    <filename>namespaceAIRTSP_1_1OnDParserHelper.html</filename>
    <class kind="struct">AIRTSP::OnDParserHelper::doEndOnD</class>
    <class kind="struct">AIRTSP::OnDParserHelper::OnDParser</class>
    <class kind="struct">AIRTSP::OnDParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeClassCode</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeDateRangeEnd</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeDateRangeStart</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeDestination</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeEndRangeTime</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeOrigin</class>
    <class kind="struct">AIRTSP::OnDParserHelper::storeStartRangeTime</class>
    <member kind="function">
      <type>chset_t</type>
      <name>alpha_cap_set_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>aa48e03b5972073e9e7126aee1ac6b5e0</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airport_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>a56834c66311f5486f6bbc38c63ce192f</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 3, 3)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airline_code_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>a0e19c75e926c23266fb45e34df1a0219</anchor>
      <arglist>(alpha_cap_set_p.derived(), 2, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded4_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>acbc9ba205e599c15bf0b326ae831372e</anchor>
      <arglist>(uint4_p.derived(), 2000u, 2099u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>af38238443bd2287bb94acdf0678e9fea</anchor>
      <arglist>(uint2_p.derived(), 1u, 12u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>a91ba77b488e6c61fa3b074a5b00b7b9b</anchor>
      <arglist>(uint2_p.derived(), 1u, 31u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>hours_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>a4a41e9a4e20f938fadc7100b6af8522c</anchor>
      <arglist>(uint2_p.derived(), 0u, 23u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>minutes_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>acf66277c366f67f3510397e37afb433d</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>seconds_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>a0d67c470c5c4c149106b301d1225d65e</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>chset_t</type>
      <name>class_code_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>ab6f09fa9cdf2e76dc5411b698546db40</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="variable">
      <type>uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>ae8feb589d77c6429c1a31f80e0339baa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>a2a3adeac1027581d7d5b21baef49d7d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceAIRTSP_1_1OnDParserHelper.html</anchorfile>
      <anchor>a2e9f583e27f4a8975b78615a9e229c17</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>AIRTSP::ScheduleParserHelper</name>
    <filename>namespaceAIRTSP_1_1ScheduleParserHelper.html</filename>
    <class kind="struct">AIRTSP::ScheduleParserHelper::doEndFlight</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::FlightPeriodParser</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeBoardingTime</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeCapacity</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeClasses</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeDateRangeEnd</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeDateRangeStart</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeDow</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeElapsedTime</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeFamilyCode</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeFClasses</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeFFDisutilityCurveKey</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeFlightNumber</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeFRAT5CurveKey</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeLegBoardingPoint</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeLegCabinCode</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeLegOffPoint</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeOffTime</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeOperatingAirlineCode</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeOperatingFlightNumber</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeSegmentBoardingPoint</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeSegmentCabinCode</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeSegmentOffPoint</class>
    <class kind="struct">AIRTSP::ScheduleParserHelper::storeSegmentSpecificity</class>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airline_code_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>ae310b687706fb7c846c4cda427c51d6e</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 2, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded1_4_p_t</type>
      <name>flight_number_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a1ded9ae2ed70ac30ac3db6e5c9c11f26</anchor>
      <arglist>(uint1_4_p.derived(), 0u, 9999u)</arglist>
    </member>
    <member kind="function">
      <type>bounded4_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>af5dd6e2511362dd7083aebd8a21c3e5a</anchor>
      <arglist>(uint4_p.derived(), 2000u, 2099u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a676352929f9d79c830b40d4bb278ce51</anchor>
      <arglist>(uint2_p.derived(), 1u, 12u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a029b2ee045e201f31a300f1d8de18e85</anchor>
      <arglist>(uint2_p.derived(), 1u, 31u)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>dow_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>aab297db77599f909a7dc67a9bc8bb55b</anchor>
      <arglist>(chset_t(&quot;0-1&quot;).derived().derived(), 7, 7)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airport_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a91e49f9c6a9e13398dd1b88e6248d8d5</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 3, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>hours_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a90fce94f63aad46ef2cf02847a74d94c</anchor>
      <arglist>(uint2_p.derived(), 0u, 23u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>minutes_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a7729793f38a78ec6f4a9ace994b4c8a5</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>seconds_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a80d8861149718fcc8dd64df7be2b63f9</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>chset_t</type>
      <name>cabin_code_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a686815d49d91b25f04a8bb11e8b2051f</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>key_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>aae41e1fba8e15c8578bad95875eec767</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 1, 10)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>class_code_list_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>aa1b7b2efa32f9c0774469e9769d8a04e</anchor>
      <arglist>(chset_t(&quot;A-Z&quot;).derived(), 1, 26)</arglist>
    </member>
    <member kind="variable">
      <type>int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a42bda711e335359e441090d35b5f7b74</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a2bd53510ca44a5ae5abd914dea40b82c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a6cdf18bb1a9b8a293d7cd190a4a4745b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a2c67f1644ca8ee66d8b6eaabd5e77ff6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int1_p_t</type>
      <name>family_code_p</name>
      <anchorfile>namespaceAIRTSP_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>abaa8d5686705f55f4a4bbb621e36193f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>boost</name>
    <filename>namespaceboost.html</filename>
    <namespace>boost::serialization</namespace>
  </compound>
  <compound kind="namespace">
    <name>boost::serialization</name>
    <filename>namespaceboost_1_1serialization.html</filename>
  </compound>
  <compound kind="namespace">
    <name>stdair</name>
    <filename>namespacestdair.html</filename>
    <class kind="class">stdair::FacBom</class>
  </compound>
  <compound kind="page">
    <name>authors</name>
    <title>People</title>
    <filename>authors.html</filename>
    <docanchor file="authors.html" title="Project Admins">admins</docanchor>
    <docanchor file="authors.html" title="Developers">developers</docanchor>
    <docanchor file="authors.html" title="Retired Developers">retired</docanchor>
    <docanchor file="authors.html" title="Contributors">contributors</docanchor>
    <docanchor file="authors.html" title="Distribution Maintainers">distributors</docanchor>
    <docanchor file="index.html">N</docanchor>
  </compound>
  <compound kind="page">
    <name>coding_rules</name>
    <title>Coding Rules</title>
    <filename>coding_rules.html</filename>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Variables">cr_variables</docanchor>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Functions">cr_functions</docanchor>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Classes and Structures">cr_classes</docanchor>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Files">cr_files</docanchor>
    <docanchor file="coding_rules.html" title="Default Functionality of Classes">cr_classes_functionality</docanchor>
  </compound>
  <compound kind="page">
    <name>copyright</name>
    <title>Copyright and License</title>
    <filename>copyright.html</filename>
    <docanchor file="copyright.html" title="GNU LESSER GENERAL PUBLIC LICENSE">gnugpl</docanchor>
    <docanchor file="copyright.html" title="Version 2.1, February 1999">version</docanchor>
    <docanchor file="copyright.html" title="Preamble">preamble</docanchor>
    <docanchor file="copyright.html" title="TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION">terms</docanchor>
    <docanchor file="copyright.html" title="NO WARRANTY">nowarranty</docanchor>
    <docanchor file="copyright.html" title="END OF TERMS AND CONDITIONS">endofterms</docanchor>
    <docanchor file="copyright.html" title="How to Apply These Terms to Your New Programs">howtoapply</docanchor>
  </compound>
  <compound kind="page">
    <name>documentation</name>
    <title>Documentation Rules</title>
    <filename>documentation.html</filename>
    <docanchor file="documentation.html" title="General Rules">doc_general</docanchor>
    <docanchor file="documentation.html" title="File Header">doc_header</docanchor>
    <docanchor file="documentation.html" title="Grouping Various Parts">doc_groups</docanchor>
  </compound>
  <compound kind="page">
    <name>features</name>
    <title>Main features</title>
    <filename>features.html</filename>
    <docanchor file="features.html" title="Network generation">ng_features</docanchor>
    <docanchor file="features.html" title="Finding travel solutions">ts_features</docanchor>
    <docanchor file="features.html" title="Other features">other_features</docanchor>
  </compound>
  <compound kind="page">
    <name>help_wanted</name>
    <title>Make a Difference</title>
    <filename>help_wanted.html</filename>
  </compound>
  <compound kind="page">
    <name>howto_release</name>
    <title>Make a new release</title>
    <filename>howto_release.html</filename>
    <docanchor file="howto_release.html" title="Introduction">description</docanchor>
    <docanchor file="howto_release.html" title="Initialisation">initialisation</docanchor>
    <docanchor file="howto_release.html" title="Release branch maintenance">branch_creation</docanchor>
    <docanchor file="howto_release.html" title="Commit and publish the release branch">branch_publish</docanchor>
    <docanchor file="howto_release.html" title="Create distribution packages">create_packages</docanchor>
    <docanchor file="howto_release.html" title="Upload the HTML documentation to SourceForge">upload_doc</docanchor>
    <docanchor file="howto_release.html" title="Generate the RPM packages">generate_rpm_packages</docanchor>
    <docanchor file="howto_release.html" title="Update distributed change log">update_changelog</docanchor>
    <docanchor file="howto_release.html" title="Create the binary package, including the documentation">create_bin_packages</docanchor>
    <docanchor file="howto_release.html" title="Upload the files to SourceForge">upload_files</docanchor>
    <docanchor file="howto_release.html" title="Make a new post">post_news</docanchor>
    <docanchor file="howto_release.html" title="Send an email on the announcement mailing-list">send_announce</docanchor>
  </compound>
  <compound kind="page">
    <name>installation</name>
    <title>Installation</title>
    <filename>installation.html</filename>
    <docanchor file="verification.html" title="Table of Contents">toc</docanchor>
    <docanchor file="installation.html" title="Fedora/RedHat Linux distributions">rpm_linux</docanchor>
    <docanchor file="installation.html" title="AirTSP Requirements">requirements</docanchor>
    <docanchor file="installation.html" title="Basic Installation">basic_instructions</docanchor>
    <docanchor file="installation.html" title="Compilers and Options">compilers</docanchor>
    <docanchor file="installation.html" title="Compiling For Multiple Architectures">compiling_for_multi_arch</docanchor>
    <docanchor file="installation.html" title="Installation Names">installation_names</docanchor>
    <docanchor file="installation.html" title="Optional Features">optional_features</docanchor>
    <docanchor file="installation.html" title="Particular systems">particular_systems</docanchor>
    <docanchor file="installation.html" title="Specifying the System Type">specifying_system_type</docanchor>
    <docanchor file="installation.html" title="Sharing Defaults">sharing_defaults</docanchor>
    <docanchor file="installation.html" title="Defining Variables">defining_variables</docanchor>
    <docanchor file="installation.html" title="&amp;lsquo;cmake&amp;rsquo; Invocation">cmake_invocation</docanchor>
  </compound>
  <compound kind="page">
    <name>linking</name>
    <title>Linking with AirTSP</title>
    <filename>linking.html</filename>
    <docanchor file="verification.html" title="Introduction">intro</docanchor>
    <docanchor file="linking.html" title="Dependencies">dependencies</docanchor>
    <docanchor file="linking.html" title="StdAir">stdairdep</docanchor>
    <docanchor file="linking.html" title="Using the pkg-config command">pkgconfig</docanchor>
    <docanchor file="linking.html" title="Using the airtsp-config script">airtsp_config</docanchor>
    <docanchor file="linking.html" title="M4 macro for the GNU Autotools">autotools</docanchor>
    <docanchor file="linking.html" title="Using AirTSP with dynamic linking">dynamiclinking</docanchor>
  </compound>
  <compound kind="page">
    <name>test</name>
    <title>Test Rules</title>
    <filename>test.html</filename>
    <docanchor file="test.html" title="The Test File">test_file</docanchor>
    <docanchor file="test.html" title="The Reference File">reference_file</docanchor>
    <docanchor file="test.html" title="Testing IT++ Library">testing_using_make</docanchor>
  </compound>
  <compound kind="page">
    <name>users_guide</name>
    <title>Users Guide</title>
    <filename>users_guide.html</filename>
    <docanchor file="users_guide.html" title="Table of Contents">ug_toc</docanchor>
    <docanchor file="users_guide.html" title="Introduction">ug_introduction</docanchor>
    <docanchor file="users_guide.html" title="Get Started">ug_get_started</docanchor>
    <docanchor file="users_guide.html" title="Get the AirTSP library">ug_get_source</docanchor>
    <docanchor file="users_guide.html" title="Build the AirTSP project">ug_build_binaries</docanchor>
    <docanchor file="users_guide.html" title="Build and Run the Tests">ug_build_and_run_tests</docanchor>
    <docanchor file="users_guide.html" title="Install the AirTSP Project (Binaries, Documentation)">ug_install_project</docanchor>
    <docanchor file="users_guide.html" title="Input file of AirTSP Project">ug_inputfile</docanchor>
    <docanchor file="users_guide.html" title="The schedule BOM Tree">ug_bom_bom</docanchor>
    <docanchor file="users_guide.html" title="Build of the schedule BOM tree">ug_bom_build</docanchor>
    <docanchor file="users_guide.html" title="Display of the schedule BOM tree">ug_bom_display</docanchor>
    <docanchor file="users_guide.html" title="Exploring the Predefined BOM Tree">ug_bom_structure</docanchor>
    <docanchor file="users_guide.html" title="Airline Network BOM Tree">ug_bom_network</docanchor>
    <docanchor file="users_guide.html" title="Airline Schedule BOM Tree">ug_bom_schedule</docanchor>
    <docanchor file="users_guide.html" title="Extending the BOM Tree">ug_extending_bom_tree</docanchor>
    <docanchor file="users_guide.html" title="The travel solution calculation procedure">ug_procedure</docanchor>
  </compound>
  <compound kind="page">
    <name>verification</name>
    <title>Supported Systems</title>
    <filename>verification.html</filename>
    <docanchor file="verification.html" title="AirTSP 0.2.x">airtsp_0_2</docanchor>
    <docanchor file="verification.html" title="Linux Systems">linux</docanchor>
    <docanchor file="verification.html" title="Fedora Core 4 with ATLAS">fedora_atlas</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with ACML">gentoo_acml</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with ATLAS">gentoo_atlas</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with MKL">gentoo_mkl</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with NetLib&apos;s BLAS and LAPACK">gentoo_netlib</docanchor>
    <docanchor file="verification.html" title="Red Hat Enterprise Linux with AirTSP External">rhel</docanchor>
    <docanchor file="verification.html" title="SUSE Linux 10.0 with NetLib&apos;s BLAS and LAPACK">suse_netlib</docanchor>
    <docanchor file="verification.html" title="SUSE Linux 10.0 with MKL">suse_mkl</docanchor>
    <docanchor file="verification.html" title="Windows Systems">windows</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with Cygwin">cygwin</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with Cygwin and ATLAS">cygwin_atlas</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with Cygwin and ACML">cygwin_acml</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with MinGW, MSYS and ACML">mingw_acml</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with MinGW, MSYS and AirTSP External">mingw_netlib</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with MS Visual C++ and Intel MKL">msvc_mkl</docanchor>
    <docanchor file="verification.html" title="Unix Systems">unix</docanchor>
    <docanchor file="verification.html" title="SunOS 5.9 with AirTSP External">sunos59</docanchor>
  </compound>
  <compound kind="page">
    <name>verification_old</name>
    <title>AirTSP Supported Systems (Previous Releases)</title>
    <filename>verification_old.html</filename>
    <docanchor file="verification_old.html" title="AirTSP 3.9.1">airtsp_3_9_1</docanchor>
    <docanchor file="verification_old.html" title="AirTSP 3.9.0">airtsp_3_9_0</docanchor>
    <docanchor file="verification_old.html" title="AirTSP 3.8.1">airtsp_3_8_1</docanchor>
  </compound>
  <compound kind="page">
    <name>tutorials</name>
    <title>Tutorials</title>
    <filename>tutorials.html</filename>
    <docanchor file="tutorials.html" title="Table of Contents">tut_toc</docanchor>
    <docanchor file="tutorials.html" title="Preparing the AirTSP Project for Development">tut_configuration</docanchor>
    <docanchor file="tutorials.html" title="Your first networkBuilde">tut_procedure</docanchor>
    <docanchor file="tutorials.html" title="Summary of the different steps">tut_procedure_summary</docanchor>
    <docanchor file="tutorials.html" title="Result of the Batch Program">tut_procedure_results</docanchor>
    <docanchor file="tutorials.html" title="Network building with an input file">tut_how_network_building_file</docanchor>
    <docanchor file="tutorials.html" title="How to build a network input file?">tut_how_build_network_file</docanchor>
    <docanchor file="tutorials.html" title="Building the BOM tree  with an input file">tut_how_network_building</docanchor>
    <docanchor file="tutorials.html" title="Result of the Batch Program">tut_how_network_building_result</docanchor>
  </compound>
  <compound kind="page">
    <name>AirlineScheduleTestSuite_cpp</name>
    <title>Command-Line Test to Demonstrate How To Test the AirTSP Project</title>
    <filename>AirlineScheduleTestSuite_cpp.html</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>AirTSP Documentation</title>
    <filename>index.html</filename>
    <docanchor file="index.html" title="Getting Started">getting_started</docanchor>
    <docanchor file="index.html" title="AirTSP at SourceForge">at_sourceforge</docanchor>
    <docanchor file="index.html" title="AirTSP Development">development</docanchor>
    <docanchor file="index.html" title="External Libraries">external_libs</docanchor>
    <docanchor file="index.html" title="Support AirTSP">social_sponsorship</docanchor>
    <docanchor file="index.html" title="About AirTSP">about</docanchor>
  </compound>
</tagfile>
